-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-B96
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- # File Information: src/tedw_apps_etl/FixPack/ctd/etl/sql/ctd_m05_s005_prepare_stage.db2, dbmx_db2_tedw, dbmx_db2_510FP5
-- # Revision: 1.1
-- # Date: 2/13/04 10:21:09
-- ############################################################################
--#IGNORE_ERROR
drop table CTD.STG_HOST_TO_INST; 

create table CTD.STG_HOST_TO_INST (
    orig_INST_id integer not null,
    Inst_vers varchar(254),
    orig_host_id integer not null,
    Host_ip_ad varchar(254),
primary key(orig_INST_id,orig_host_id)
);

insert into CTD.STG_HOST_TO_INST
select
 c1.comp_id as orig_INST_id,
 value(min(ca1.compattr_val), 'UNKNOWN') as Inst_Vers, 
 c1.comp_corr_id as orig_HOST_id,
 value (min(ca2.compattr_val), 'UNKNOWN') as Host_ip_ad
from
 twg.cur_comp c1
 left outer join
 twg.cur_compattr ca1
 on c1.comp_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'VERSION',
 twg.cur_comp c2
 left outer join
 twg.cur_compattr ca2
 on c2.comp_id = ca2.comp_id and 
 ca2.attrtyp_cd = 'LAST_IP_ADDRESS'
WHERE
 c1.comptyp_cd='CTD_INSTANCE' and
 c2.comptyp_cd in ('CTD_HOST', 'IP_HOST') and
 c2.comp_id=c1.comp_corr_id
group by
 c1.comp_id, c1.comp_corr_id
;


insert into CTD.STG_HOST_TO_INST
select
 c1.comp_id as orig_INST_id,
 value(min(ca1.compattr_val), 'UNKNOWN') as Inst_Vers, 
 c1.comp_corr_id as orig_HOST_id,
 c2.comp_nm as Host_ip_ad
from
 twg.cur_comp c1
 left outer join
 twg.cur_compattr ca1
 on c1.comp_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'VERSION',
 twg.cur_comp c2
WHERE
 c2.comptyp_cd = 'IP_INTERFACE' and
 c1.comptyp_cd = 'CTD_INSTANCE' and
 c2.comp_id=c1.comp_corr_id
group by
 c1.comp_id, c1.comp_corr_id, c2.comp_nm
;

--select * from CTD.STG_HOST_TO_INST;

--------------------
---  DB 
--------------------
--#IGNORE_ERROR
drop table CTD.STG_INST_TO_DB; 

create table CTD.STG_INST_TO_DB (
    orig_DB_id integer not null,
    orig_INST_id integer not null,
    Inst_vers varchar(254),
primary key(orig_DB_id,orig_INST_id)
);

insert into CTD.STG_INST_TO_DB
select
 c1.comp_id as orig_DB_id,
 c1.comp_corr_id as orig_INST_id,
 value (min(ca1.compattr_val), 'UNKNOWN') as Inst_vers
from
 twg.cur_comp c1,
 twg.cur_comp c2
 left outer join
 twg.cur_compattr ca1
 on c2.comp_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'VERSION'
WHERE
 c1.comptyp_cd='CTD_DATABASE' and
 c2.comptyp_cd ='CTD_INSTANCE' and
 c2.comp_id=c1.comp_corr_id
group by
 c1.comp_id, c1.comp_corr_id
;

--select * from CTD.STG_INST_TO_DB;

--#IGNORE_ERROR
drop table CTD.STG_HOST_TO_DB; 

create table CTD.STG_HOST_TO_DB (
    orig_DB_id integer not null,
    orig_INST_id integer not null,
    Inst_Vers varchar(254),
    orig_Host_id integer not null,
    Host_ip_ad varchar(254),
primary key(orig_DB_id,orig_Host_id)
);

insert into CTD.STG_HOST_TO_DB
select
 c1.orig_DB_id as orig_DB_id,
 c1.orig_INST_id as orig_INST_id,
 c1.inst_Vers as Inst_Vers,
 c2.comp_corr_id as orig_HOST_id,
 value (min(ca1.compattr_val), 'UNKNOWN') as Host_ip_ad
from
 CTD.STG_INST_TO_DB c1,
 twg.cur_comp c2,
 twg.cur_comp c3
 left outer join
 twg.cur_compattr ca1
 on c3.comp_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'LAST_IP_ADDRESS'
WHERE
 c3.comptyp_cd in ('CTD_HOST', 'IP_HOST') and
 c1.orig_INST_id = c2.comp_id and
 c3.comp_id=c2.comp_corr_id
group by
 c1.orig_DB_id, c1.orig_DB_id, c1.orig_INST_id, c1.INST_Vers,  c2.comp_corr_id, c2.comp_nm
;

insert into CTD.STG_HOST_TO_DB
select
 c1.orig_DB_id as orig_DB_id,
 c1.orig_INST_id as orig_INST_id,
 c1.inst_Vers as Inst_Vers,
 c2.comp_corr_id as orig_HOST_id,
 c2.comp_nm as Host_ip_ad
from
 CTD.STG_INST_TO_DB c1,
 twg.cur_comp c2
WHERE
 c1.orig_INST_id = c2.comp_id and
 c2.comptyp_cd = 'IP_INTERFACE' 
group by
 c1.orig_DB_id, c1.orig_DB_id, c1.orig_INST_id, c1.INST_Vers,  c2.comp_corr_id, c2.comp_nm
;

--select * from CTD.STG_HOST_TO_DB;

--------------------
---  GTWY 
--------------------
--#IGNORE_ERROR
drop table CTD.STG_INST_TO_GTWY; 

create table CTD.STG_INST_TO_GTWY (
    orig_GTWY_id integer not null,
    orig_INST_id integer not null,
    Inst_vers varchar(254),
primary key(orig_GTWY_id,orig_INST_id)
);

insert into CTD.STG_INST_TO_GTWY
select
 c1.comp_id as orig_GTWY_id,
 c1.comp_corr_id as orig_INST_id,
 value (min(ca1.compattr_val), 'UNKNOWN') as Inst_vers
from
 twg.cur_comp c1,
 twg.cur_comp c2
 left outer join
 twg.cur_compattr ca1
 on c2.comp_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'VERSION'
WHERE
 c1.comptyp_cd='CTD_GATEWAY' and
 c2.comptyp_cd ='CTD_INSTANCE' and
 c2.comp_id=c1.comp_corr_id
group by
 c1.comp_id, c1.comp_corr_id
;

--select * from CTD.STG_INST_TO_GTWY;

--#IGNORE_ERROR
drop table CTD.STG_HOST_TO_GTWY; 

create table CTD.STG_HOST_TO_GTWY (
    orig_GTWY_id integer not null,
    orig_INST_id integer not null,
    Inst_vers varchar(254),
    orig_Host_id integer not null,
    Host_ip_ad varchar(254),
primary key(orig_GTWY_id,orig_Host_id)
);

insert into CTD.STG_HOST_TO_GTWY
select
 c1.orig_GTWY_id as orig_GTWY_id,
 c1.orig_INST_id as orig_INST_id,
 c1.inst_Vers as Inst_Vers,
 c2.comp_corr_id as orig_HOST_id,
 value (min(ca1.compattr_val), 'UNKNOWN') as Host_ip_ad
from
 CTD.STG_INST_TO_GTWY c1,
 twg.cur_comp c2,
 twg.cur_comp c3
 left outer join
 twg.cur_compattr ca1
 on c3.comp_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'LAST_IP_ADDRESS'
WHERE
 c3.comptyp_cd in ('CTD_HOST', 'IP_HOST') and
 c1.orig_INST_id = c2.comp_id and
 c3.comp_id=c2.comp_corr_id
group by
 c1.orig_GTWY_id, c1.orig_INST_id, c1.INST_Vers,  c2.comp_corr_id, c2.comp_nm
;

insert into CTD.STG_HOST_TO_GTWY
select
 c1.orig_GTWY_id as orig_GTWY_id,
 c1.orig_INST_id as orig_INST_id,
 c1.inst_Vers as Inst_Vers,
 c2.comp_corr_id as orig_HOST_id,
 c2.comp_nm as Host_ip_ad
from
 CTD.STG_INST_TO_GTWY c1,
 twg.cur_comp c2
WHERE
 c1.orig_INST_id = c2.comp_id and
 c2.comptyp_cd = 'IP_INTERFACE' 
group by
 c1.orig_GTWY_id, c1.orig_INST_id, c1.INST_Vers, c2.comp_corr_id, c2.comp_nm
;

--select * from CTD.STG_HOST_TO_GTWY;

--------------------
---  NODE 
--------------------

--#IGNORE_ERROR
drop table CTD.STG_DB_TO_NODE; 

create table CTD.STG_DB_TO_NODE (
    orig_NODE_id integer not null,
    orig_DB_id integer not null,
    Nd_LGPTH varchar(254),
primary key(orig_NODE_id,orig_DB_id)
);

insert into CTD.STG_DB_TO_NODE
select
 c1.comp_id as orig_NODE_id,
 c1.comp_corr_id as orig_DB_id,
 value (min(ca1.compattr_val), 'UNKNOWN') as Nd_LGPTH
from
 twg.cur_comp c1
 left outer join
 twg.cur_compattr ca1
 on c1.comp_corr_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'CTD_LOGPATH'
WHERE
 c1.comptyp_cd='CTD_NODE'
group by
 c1.comp_id, c1.comp_corr_id
;

--select * from CTD.STG_DB_TO_NODE;

--#IGNORE_ERROR
drop table CTD.STG_INST_TO_NODE; 

create table CTD.STG_INST_TO_NODE (
    orig_NODE_id integer not null,
    Nd_LGPTH varchar(254),
    orig_DB_id integer not null,
    orig_INST_id integer not null,
    Inst_Vers varchar(254),
primary key(orig_NODE_id,orig_INST_id)
);

insert into CTD.STG_INST_TO_NODE
select
 c1.orig_NODE_id as orig_NODE_id,
 c1.Nd_LGPTH as Nd_LGPTH,
 c1.orig_DB_id as orig_DB_id,
 c2.comp_corr_id as orig_INST_id,
 value (min(ca1.compattr_val), 'UNKNOWN') as Inst_Vers
from
 CTD.STG_DB_TO_NODE c1,
 twg.cur_comp c2
 left outer join
 twg.cur_compattr ca1
 on c2.comp_corr_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'VERSION'
WHERE
 c2.comptyp_cd='CTD_DATABASE' and
 c2.comp_id=c1.orig_db_id 
group by
 c1.orig_NODE_id, c1.Nd_LGPTH, c1.orig_DB_id, c2.comp_corr_id
;

--select * from CTD.STG_INST_TO_NODE;

--#IGNORE_ERROR
drop table CTD.STG_HOST_TO_NODE; 

create table CTD.STG_HOST_TO_NODE (
    orig_NODE_id integer not null,
    Nd_LGPTH varchar(254),
    orig_DB_id integer not null,
    orig_INST_id integer not null,
    Inst_Vers varchar(254),
    orig_host_id integer not null,
    Host_ip_ad varchar(254),
primary key(orig_NODE_id,orig_host_id)
);

insert into CTD.STG_HOST_TO_NODE
select
 c1.orig_NODE_id as orig_NODE_id,
 c1.Nd_LGPTH as Nd_LGPTH,
 c1.orig_DB_id as orig_DB_id,
 c1.orig_INST_id as orig_INST_id,
 c1.inst_Vers as Inst_Vers,
 c2.comp_corr_id as orig_HOST_id,
 value (min(ca1.compattr_val), 'UNKNOWN') as Host_ip_ad
from
 CTD.STG_INST_TO_NODE c1,
 twg.cur_comp c2,
 twg.cur_comp c3
 left outer join
 twg.cur_compattr ca1
 on c3.comp_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'LAST_IP_ADDRESS'
WHERE
 c3.comptyp_cd in ('CTD_HOST', 'IP_HOST') and
 c2.comp_corr_id=c3.comp_id and
 c2.comptyp_cd = 'CTD_INSTANCE' and
 c2.comp_id=c1.orig_inst_id
group by
 c1.orig_NODE_id, c1.Nd_LGPTH, c1.orig_DB_id, c1.orig_INST_id, c1.INST_Vers, c2.comp_corr_id
;

insert into CTD.STG_HOST_TO_NODE
select
 c1.orig_NODE_id as orig_NODE_id,
 c1.Nd_LGPTH as Nd_LGPTH,
 c1.orig_DB_id as orig_DB_id,
 c1.orig_INST_id as orig_INST_id,
 c1.inst_Vers as Inst_Vers,
 c2.comp_corr_id as orig_HOST_id,
 c3.comp_nm as Host_ip_ad
from
 CTD.STG_INST_TO_NODE c1,
 twg.cur_comp c2,
 twg.cur_comp c3
WHERE
 c3.comptyp_cd = 'IP_INTERFACE' and
 c2.comp_corr_id=c3.comp_id and
 c2.comptyp_cd = 'CTD_INSTANCE' and
 c2.comp_id=c1.orig_inst_id
group by
 c1.orig_NODE_id, c1.Nd_LGPTH, c1.orig_DB_id, c1.orig_INST_id, c1.INST_Vers, c2.comp_corr_id, c3.comp_nm
;

--select * from CTD.STG_HOST_TO_NODE;


--------------------
-- CTD_APPLY
----------------

--#IGNORE_ERROR
drop table CTD.STG_DB_TO_APPLY; 

create table CTD.STG_DB_TO_APPLY (
    orig_APPLY_id integer not null,
    orig_DB_id integer not null,
primary key(orig_APPLY_id,orig_DB_id)
);

insert into CTD.STG_DB_TO_APPLY
select
 c1.comp_id as orig_APPLY_id,
 c1.comp_corr_id as orig_DB_id
from
 twg.cur_comp c1
WHERE
 c1.comptyp_cd='CTD_APPLY'
group by
 c1.comp_id, c1.comp_corr_id
;

--select * from CTD.STG_DB_TO_APPLY;

--#IGNORE_ERROR
drop table CTD.STG_INST_TO_APPLY; 

create table CTD.STG_INST_TO_APPLY (
    orig_APPLY_id integer not null,
    orig_DB_id integer not null,
    orig_INST_id integer not null,
    Inst_Vers varchar(254),
primary key(orig_APPLY_id,orig_INST_id)
);

insert into CTD.STG_INST_TO_APPLY
select
 c1.orig_APPLY_id as orig_APPLY_id,
 c1.orig_DB_id as  orig_DB_id,
 c2.comp_corr_id as orig_INST_id,
 value (min(ca1.compattr_val), 'UNKNOWN') as Inst_Vers
from
 CTD.STG_DB_TO_APPLY c1,
 twg.cur_comp c2
 left outer join
 twg.cur_compattr ca1
 on c2.comp_corr_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'VERSION'
WHERE
 c2.comptyp_cd='CTD_DATABASE' and
 c2.comp_id=c1.orig_db_id
group by
 c1.orig_APPLY_id, c1.orig_DB_id, c2.comp_corr_id
;

--select * from CTD.STG_INST_TO_APPLY;

--#IGNORE_ERROR
drop table CTD.STG_HOST_TO_APPLY; 

create table CTD.STG_HOST_TO_APPLY (
    orig_APPLY_id integer not null,
    orig_DB_id integer not null,
    orig_INST_id integer not null,
    Inst_Vers varchar(254),
    orig_host_id integer not null,
    Host_ip_ad varchar(254),
primary key(orig_APPLY_id,orig_host_id)
);

insert into CTD.STG_HOST_TO_APPLY
select
 c1.orig_APPLY_id as orig_APPLY_id,
 c1.orig_DB_id as  orig_DB_id,
 c1.orig_INST_id as orig_INST_id,
 c1.inst_Vers as Inst_Vers,
 c2.comp_corr_id as orig_HOST_id,
 value (min(ca1.compattr_val), 'UNKNOWN') as Host_ip_ad
from
 CTD.STG_INST_TO_APPLY c1,
 twg.cur_comp c2,
 twg.cur_comp c3
 left outer join
 twg.cur_compattr ca1
 on c3.comp_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'LAST_IP_ADDRESS'
WHERE
 c3.comptyp_cd in ('CTD_HOST', 'IP_HOST') and
 c2.comp_corr_id=c3.comp_id and
 c2.comptyp_cd = 'CTD_INSTANCE' and
 c2.comp_id=c1.orig_inst_id
group by
 c1.orig_APPLY_id, c1.orig_DB_id, c1.orig_INST_id, c1.INST_Vers, c2.comp_corr_id
;

insert into CTD.STG_HOST_TO_APPLY
select
 c1.orig_APPLY_id as orig_APPLY_id,
 c1.orig_DB_id as  orig_DB_id,
 c1.orig_INST_id as orig_INST_id,
 c1.inst_Vers as Inst_Vers,
 c2.comp_corr_id as orig_HOST_id,
 c3.comp_nm as Host_ip_ad
from
 CTD.STG_INST_TO_APPLY c1,
 twg.cur_comp c2,
 twg.cur_comp c3
WHERE
 c3.comptyp_cd = 'IP_INTERFACE' and
 c2.comp_corr_id=c3.comp_id and
 c2.comptyp_cd = 'CTD_INSTANCE' and
 c2.comp_id=c1.orig_inst_id
group by
 c1.orig_APPLY_id, c1.orig_DB_id, c1.orig_INST_id, c1.INST_Vers, c2.comp_corr_id, c3.comp_nm
;

--select * from CTD.STG_HOST_TO_APPLY;

--------------------
-- CTD_TABLE
----------------

--#IGNORE_ERROR
drop table CTD.STG_DB_TO_TABLE; 

create table CTD.STG_DB_TO_TABLE (
    orig_TABLE_id integer not null,
    orig_DB_id integer not null,
primary key(orig_TABLE_id,orig_DB_id)
);

insert into CTD.STG_DB_TO_TABLE
select
 c1.comp_id as orig_TABLE_id,
 c1.comp_corr_id as orig_DB_id
from
 twg.cur_comp c1
WHERE
 c1.comptyp_cd='CTD_TABLE'
group by
 c1.comp_id, c1.comp_corr_id
;

--select * from CTD.STG_DB_TO_TABLE;

--#IGNORE_ERROR
drop table CTD.STG_INST_TO_TABLE; 

create table CTD.STG_INST_TO_TABLE (
    orig_TABLE_id integer not null,
    orig_DB_id integer not null,
    orig_INST_id integer not null,
    Inst_Vers varchar(254),
primary key(orig_TABLE_id,orig_INST_id)
);

insert into CTD.STG_INST_TO_TABLE
select
 c1.orig_TABLE_id as orig_TABLE_id,
 c1.orig_DB_id as orig_DB_id,
 c2.comp_corr_id as orig_INST_id,
 value (min(ca1.compattr_val), 'UNKNOWN') as Inst_Vers
from
 CTD.STG_DB_TO_TABLE c1,
 twg.cur_comp c2
 left outer join
 twg.cur_compattr ca1
 on c2.comp_corr_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'VERSION'
WHERE
 c2.comptyp_cd='CTD_DATABASE' and
 c2.comp_id=c1.orig_db_id
group by
 c1.orig_TABLE_id, c1.orig_DB_id, c2.comp_corr_id
;

--select * from CTD.STG_INST_TO_TABLE;

--#IGNORE_ERROR
drop table CTD.STG_HOST_TO_TABLE; 

create table CTD.STG_HOST_TO_TABLE (
    orig_TABLE_id integer not null,
    orig_DB_id integer not null,
    orig_INST_id integer not null,
    Inst_Vers varchar(254),
    orig_host_id integer not null,
    Host_ip_ad varchar(254),
primary key(orig_TABLE_id,orig_host_id)
);

insert into CTD.STG_HOST_TO_TABLE
select
 c1.orig_TABLE_id as orig_TABLE_id,
 c1.orig_DB_id as orig_DB_id,
 c1.orig_INST_id as orig_INSt_id,
 c1.Inst_Vers as Inst_Vers,
 c2.comp_corr_id as orig_HOST_id,
 value (min(ca1.compattr_val), 'UNKNOWN') as Host_ip_ad
from
 CTD.STG_INST_TO_TABLE c1,
 twg.cur_comp c2,
 twg.cur_comp c3
 left outer join
 twg.cur_compattr ca1
 on c3.comp_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'LAST_IP_ADDRESS'
WHERE
 c3.comptyp_cd in ('CTD_HOST', 'IP_HOST') and
 c2.comp_corr_id=c3.comp_id and
 c2.comptyp_cd = 'CTD_INSTANCE' and
 c2.comp_id=c1.orig_inst_id
group by
 c1.orig_TABLE_id, c1.orig_DB_id, c1.orig_INST_id, c1.INST_Vers, c2.comp_corr_id
;

insert into CTD.STG_HOST_TO_TABLE
select
 c1.orig_TABLE_id as orig_TABLE_id,
 c1.orig_DB_id as orig_DB_id,
 c1.orig_INST_id as orig_INSt_id,
 c1.Inst_Vers as Inst_Vers,
 c2.comp_corr_id as orig_HOST_id,
 c3.comp_nm as Host_ip_ad
from
 CTD.STG_INST_TO_TABLE c1,
 twg.cur_comp c2,
 twg.cur_comp c3
WHERE
 c3.comptyp_cd = 'IP_INTERFACE' and
 c2.comp_corr_id=c3.comp_id and
 c2.comptyp_cd = 'CTD_INSTANCE' and
 c2.comp_id=c1.orig_inst_id
group by
 c1.orig_TABLE_id, c1.orig_DB_id, c1.orig_INST_id, c1.INST_Vers, c2.comp_corr_id, c3.comp_nm
;

--select * from CTD.STG_HOST_TO_TABLE;

--------------------
-- CTD_APPL
----------------

--#IGNORE_ERROR
drop table CTD.STG_DB_TO_APPL; 

create table CTD.STG_DB_TO_APPL (
    orig_APPL_id integer not null,
    orig_DB_id integer not null,
 primary key(orig_APPL_id,orig_DB_id)
);

insert into CTD.STG_DB_TO_APPL
select
 c1.comp_id as orig_APPL_id,
 c1.comp_corr_id as orig_DB_id
from
 twg.cur_comp c1
WHERE
 c1.comptyp_cd='CTD_APPL'
group by
 c1.comp_id, c1.comp_corr_id
;

--select * from CTD.STG_DB_TO_APPL;

--#IGNORE_ERROR
drop table CTD.STG_INST_TO_APPL; 

create table CTD.STG_INST_TO_APPL (
    orig_APPL_id integer not null,
    orig_DB_id integer not null,
    orig_INST_id integer not null,
    Inst_Vers varchar(254),
primary key(orig_APPL_id,orig_INST_id)
);

insert into CTD.STG_INST_TO_APPL
select
 c1.orig_APPL_id as orig_APPL_id,
 c1.orig_DB_id as orig_DB_id,
 c2.comp_corr_id as orig_INST_id,
 value (min(ca1.compattr_val), 'UNKNOWN') as Inst_Vers
from
 CTD.STG_DB_TO_APPL c1,
 twg.cur_comp c2
 left outer join
 twg.cur_compattr ca1
 on c2.comp_corr_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'VERSION'
WHERE
 c2.comptyp_cd='CTD_DATABASE' and
 c2.comp_id=c1.orig_db_id
group by
 c1.orig_APPL_id, c1.orig_DB_id, c2.comp_corr_id
;

--select * from CTD.STG_INST_TO_APPL;

--#IGNORE_ERROR
drop table CTD.STG_HOST_TO_APPL; 

create table CTD.STG_HOST_TO_APPL (
    orig_APPL_id integer not null,
    orig_DB_id integer not null,
    orig_INST_id integer not null,
    Inst_Vers varchar(254),
    orig_host_id integer not null,
    Host_ip_ad varchar(254),
primary key(orig_APPL_id,orig_host_id)
);

insert into CTD.STG_HOST_TO_APPL
select
 c1.orig_APPL_id as orig_APPL_id,
 c1.orig_DB_id as orig_DB_id,
 c1.orig_INST_id as orig_INSt_id,
 c1.Inst_Vers as Inst_Vers,
 c2.comp_corr_id as orig_HOST_id,
 value (min(ca1.compattr_val), 'UNKNOWN') as Host_ip_ad
from
 CTD.STG_INST_TO_APPL c1,
 twg.cur_comp c2,
 twg.cur_comp c3
 left outer join
 twg.cur_compattr ca1
 on c3.comp_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'LAST_IP_ADDRESS'
WHERE
 c3.comptyp_cd in ('CTD_HOST', 'IP_HOST') and
 c2.comp_corr_id=c3.comp_id and
 c2.comptyp_cd = 'CTD_INSTANCE' and
 c2.comp_id=c1.orig_inst_id
group by
 c1.orig_APPL_id, c1.orig_DB_id, c1.orig_INST_id, c1.INST_Vers, c2.comp_corr_id
;

insert into CTD.STG_HOST_TO_APPL
select
 c1.orig_APPL_id as orig_APPL_id,
 c1.orig_DB_id as orig_DB_id,
 c1.orig_INST_id as orig_INSt_id,
 c1.Inst_Vers as Inst_Vers,
 c2.comp_corr_id as orig_HOST_id,
 c3.comp_nm as Host_ip_ad
from
 CTD.STG_INST_TO_APPL c1,
 twg.cur_comp c2,
 twg.cur_comp c3
WHERE
 c3.comptyp_cd = 'IP_INTERFACE' and
 c2.comp_corr_id=c3.comp_id and
 c2.comptyp_cd = 'CTD_INSTANCE' and
 c2.comp_id=c1.orig_inst_id
group by
 c1.orig_APPL_id, c1.orig_DB_id, c1.orig_INST_id, c1.INST_Vers, c2.comp_corr_id, c3.comp_nm
;

--select * from CTD.STG_HOST_TO_APPL;

--------------------
-- CTD_TBSP
----------------

--#IGNORE_ERROR
drop table CTD.STG_ND_TO_TBSP_ND; 

create table CTD.STG_ND_TO_TBSP_ND (
    orig_TBSP_ND_id integer not null,
    orig_NODE_id integer not null,
    Nd_LGPTH varchar(254),
    primary key(orig_TBSP_ND_id,orig_NODE_id)
    )
;
insert into CTD.STG_ND_TO_TBSP_ND
select
 c1.comp_id as orig_TBSP_ND_id,
 c1.comp_corr_id as orig_NODE_id,
 value (min(ca1.compattr_val), 'UNKNOWN') as Nd_LGPTH
from
 twg.cur_comp c1
 left outer join
 twg.cur_compattr ca1
 on c1.comp_corr_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'CTD_LOGPATH'
WHERE
 c1.comptyp_cd='CTD_TBSP'
group by
 c1.comp_id, c1.comp_corr_id
;

--select * from CTD.STG_ND_TO_TBSP_ND;

--#IGNORE_ERROR
drop table CTD.STG_DB_TO_TBSP_ND; 

create table CTD.STG_DB_TO_TBSP_ND (
    orig_TBSP_ND_id integer not null,
    orig_NODE_id integer not null,
    Nd_LGPTH varchar(254),
    orig_DB_id integer not null,
primary key(orig_TBSP_ND_id,orig_DB_id)
);

insert into CTD.STG_DB_TO_TBSP_ND
select
 c1.orig_TBSP_ND_id as orig_TBSP_ND_id,
 c1.orig_NODE_id as orig_NODE_id,
 c1.Nd_LGPTH as Nd_LGPTH,
 c2.comp_corr_id as orig_DB_id
from
 CTD.STG_ND_TO_TBSP_ND c1,
 twg.cur_comp c2
WHERE
 c2.comptyp_cd='CTD_NODE' and
 c1.orig_NODE_id=c2.comp_id  
group by
 c1.orig_TBSP_ND_id, c1.orig_NODE_id, c1.Nd_LGPTH, c2.comp_corr_id
;

--select * from CTD.STG_DB_TO_TBSP_ND;

--#IGNORE_ERROR
drop table CTD.STG_INST_TO_TBSP_ND; 

create table CTD.STG_INST_TO_TBSP_ND (
    orig_TBSP_ND_id integer not null,
    orig_NODE_id integer not null,
    Nd_LGPTH varchar(254),
    orig_DB_id integer not null,
    orig_INST_id integer not null,
    Inst_Vers varchar(254),
primary key(orig_TBSP_ND_id,orig_INST_id)
);

insert into CTD.STG_INST_TO_TBSP_ND
select
 c1.orig_TBSP_ND_id as orig_TBSP_ND_id,
 c1.orig_NODE_id as orig_NODE_id,
 c1.Nd_LGPTH as Nd_LGPTH,
 c1.orig_DB_id as orig_DB_id,
 c2.comp_corr_id as orig_INST_id,
 value (min(ca1.compattr_val), 'UNKNOWN') as Inst_Vers
from
 CTD.STG_DB_TO_TBSP_ND c1,
 twg.cur_comp c2
 left outer join
 twg.cur_compattr ca1
 on c2.comp_corr_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'VERSION'
WHERE
 c2.comptyp_cd='CTD_DATABASE' and
 c2.comp_id=c1.orig_db_id
group by
 c1.orig_TBSP_ND_id, c1.orig_NODE_id, c1.Nd_LGPTH, c1.orig_DB_id, c2.comp_corr_id
;

--select * from CTD.STG_INST_TO_TBSP_ND;

--#IGNORE_ERROR
drop table CTD.STG_HOST_TO_TBSP_ND; 

create table CTD.STG_HOST_TO_TBSP_ND (
    orig_TBSP_ND_id integer not null,
    orig_NODE_id integer not null,
    Nd_LGPTH varchar(254),
    orig_DB_id integer not null,
    orig_INST_id integer not null,
    Inst_Vers varchar(254), 
    orig_host_id integer not null,
    Host_ip_ad varchar(254),
primary key(orig_TBSP_ND_id,orig_host_id)
);

insert into CTD.STG_HOST_TO_TBSP_ND
select
 c1.orig_TBSP_ND_id as orig_TBSP_ND_id,
 c1.orig_NODE_id as orig_NODE_id,
 c1.Nd_LGPTH as Nd_LGPTH,
 c1.orig_DB_id as orig_DB_id,
 c1.orig_INST_id as orig_INST_id,
 c1.INST_Vers as INST_Vers,
 c2.comp_corr_id as orig_HOST_id,
 value (min(ca1.compattr_val), 'UNKNOWN') as Host_ip_ad
from
 CTD.STG_INST_TO_TBSP_ND c1,
 twg.cur_comp c2,
 twg.cur_comp c3
 left outer join
 twg.cur_compattr ca1
 on c3.comp_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'LAST_IP_ADDRESS'
WHERE
 c3.comptyp_cd in ('CTD_HOST', 'IP_HOST') and
 c2.comp_corr_id=c3.comp_id and
 c2.comptyp_cd = 'CTD_INSTANCE' and
 c2.comp_id=c1.orig_inst_id
group by
 c1.orig_TBSP_ND_id, c1.orig_NODE_id, c1.Nd_LGPTH, c1.orig_DB_id, c1.orig_INST_id, c1.INST_vers, c2.comp_corr_id
;

insert into CTD.STG_HOST_TO_TBSP_ND
select
 c1.orig_TBSP_ND_id as orig_TBSP_ND_id,
 c1.orig_NODE_id as orig_NODE_id,
 c1.Nd_LGPTH as Nd_LGPTH,
 c1.orig_DB_id as orig_DB_id,
 c1.orig_INST_id as orig_INST_id,
 c1.INST_Vers as INST_Vers,
 c2.comp_corr_id as orig_HOST_id,
 c3.comp_nm as Host_ip_ad
from
 CTD.STG_INST_TO_TBSP_ND c1,
 twg.cur_comp c2,
 twg.cur_comp c3
WHERE
 c3.comptyp_cd = 'IP_INTERFACE' and
 c2.comp_corr_id=c3.comp_id and
 c2.comptyp_cd = 'CTD_INSTANCE' and
 c2.comp_id=c1.orig_inst_id
group by
 c1.orig_TBSP_ND_id, c1.orig_NODE_id, c1.Nd_LGPTH, c1.orig_DB_id, c1.orig_INST_id, c1.INST_vers, c2.comp_corr_id, c3.comp_nm
;

--select * from CTD.STG_HOST_TO_TBSP_ND;

--------------------
-- CTD_TAPPLY
----------------

--#IGNORE_ERROR
drop table CTD.STG_APPLY_TO_TAPPLY; 

create table CTD.STG_APPLY_TO_TAPPLY (
    orig_TBAPPLY_id integer not null,
    orig_APPLY_id integer not null,
    primary key(orig_TBAPPLY_id,orig_APPLY_id)
    )
;
insert into CTD.STG_APPLY_TO_TAPPLY
select
 c1.comp_id as orig_TBAPPLY_id,
 c1.comp_corr_id as orig_APPLY_id
from
 twg.cur_comp c1
WHERE
 c1.comptyp_cd='CTD_TABLE_APPLY'
group by
 c1.comp_id, c1.comp_corr_id
;

--select * from CTD.STG_APPLY_TO_TAPPLY;

--#IGNORE_ERROR
drop table CTD.STG_DB_TO_TAPPLY; 

create table CTD.STG_DB_TO_TAPPLY (
    orig_TBAPPLY_id integer not null,
    orig_APPLY_id integer not null,
    orig_DB_id integer not null,
primary key(orig_TBAPPLY_id,orig_DB_id)
);

insert into CTD.STG_DB_TO_TAPPLY
select
 c2.comp_id as orig_TBAPPLY_id,
 c1.orig_APPLY_id as orig_APPLY_id,
 c2.comp_corr_id as orig_DB_id
from
 CTD.STG_APPLY_TO_TAPPLY c1,
 twg.cur_comp c2 
WHERE
 c2.comptyp_cd='CTD_APPLY' and
 c1.orig_apply_id=c2.comp_id 
group by
 c2.comp_id, c1.orig_APPLY_id, c2.comp_corr_id
;

--select * from CTD.STG_DB_TO_TAPPLY;

--#IGNORE_ERROR
drop table CTD.STG_INST_TO_TAPPLY; 

create table CTD.STG_INST_TO_TAPPLY (
    orig_TBAPPLY_id integer not null,
    orig_APPLY_id integer not null,
    orig_DB_id integer not null,
    orig_INST_id integer not null,
    Inst_Vers varchar(254),
primary key(orig_TBAPPLY_id,orig_INST_id)
);

insert into CTD.STG_INST_TO_TAPPLY
select
 c1.orig_TBAPPLY_id as orig_TBAPPLY_id,
 c1.orig_APPLY_id as orig_APPLY_id,
 c1.orig_DB_id as orig_DB_id,
 c2.comp_corr_id as orig_INST_id,
 value (min(ca1.compattr_val), 'UNKNOWN') as Inst_Vers
from
 CTD.STG_DB_TO_TAPPLY c1,
 twg.cur_comp c2
 left outer join
 twg.cur_compattr ca1
 on c2.comp_corr_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'VERSION'
WHERE
 c2.comptyp_cd='CTD_DATABASE' and
 c2.comp_id=c1.orig_db_id
group by
 c1.orig_TBAPPLY_id, c1.orig_APPLY_id, c1.orig_DB_id, c2.comp_corr_id
;

--select * from CTD.STG_INST_TO_TAPPLY;

--#IGNORE_ERROR
drop table CTD.STG_HOST_TO_TAPPLY; 

create table CTD.STG_HOST_TO_TAPPLY (
    orig_TBAPPLY_id integer not null,
    orig_APPLY_id integer not null,
    orig_DB_id integer not null,
    orig_INST_id integer not null,
    Inst_Vers varchar(254),
    orig_host_id integer not null,
    Host_ip_ad varchar(254),
primary key(orig_TBAPPLY_id,orig_host_id)
);

insert into CTD.STG_HOST_TO_TAPPLY
select
 c1.orig_TBAPPLY_id as orig_TBAPPLY_id,
 c1.orig_APPLY_id as orig_APPLY_id,
 c1.orig_DB_id as orig_DB_id,
 c1.orig_INST_id as orig_INST_id,
 c1.INST_vers as INST_Vers,
 c2.comp_corr_id as orig_HOST_id,
 value (min(ca1.compattr_val), 'UNKNOWN') as Host_ip_ad
from
 CTD.STG_INST_TO_TAPPLY c1,
 twg.cur_comp c2,
 twg.cur_comp c3
 left outer join
 twg.cur_compattr ca1
 on c3.comp_id = ca1.comp_id and 
 ca1.attrtyp_cd = 'LAST_IP_ADDRESS'
WHERE
 c3.comptyp_cd in ('CTD_HOST', 'IP_HOST') and
 c2.comp_corr_id=c3.comp_id and
 c2.comptyp_cd = 'CTD_INSTANCE' and
 c2.comp_id=c1.orig_inst_id
group by
 c1.orig_TBAPPLY_id, c1.orig_APPLY_id, c1.orig_DB_id, c1.orig_INST_id, c1.INST_Vers, c2.comp_corr_id
;

insert into CTD.STG_HOST_TO_TAPPLY
select
 c1.orig_TBAPPLY_id as orig_TBAPPLY_id,
 c1.orig_APPLY_id as orig_APPLY_id,
 c1.orig_DB_id as orig_DB_id,
 c1.orig_INST_id,
 c1.INST_Vers,
 c2.comp_corr_id as orig_HOST_id,
 c3.comp_nm as Host_ip_ad
from
 CTD.STG_INST_TO_TAPPLY c1,
 twg.cur_comp c2,
 twg.cur_comp c3
WHERE
 c3.comptyp_cd = 'IP_INTERFACE' and
 c2.comp_corr_id=c3.comp_id and
 c2.comptyp_cd = 'CTD_INSTANCE' and
 c2.comp_id=c1.orig_inst_id
group by
 c1.orig_TBAPPLY_id, c1.orig_APPLY_id, c1.orig_DB_id, c1.orig_INST_id, c1.INST_Vers, c2.comp_corr_id, c3.comp_nm
;

--select * from CTD.STG_HOST_TO_TAPPLY;

