-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-B96
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- # File Information: src/tedw_apps_etl/FixPack/ctd/etl/sql/ctd_m05_s010_mart_pre_extract.db2, dbmx_db2_tedw, dbmx_db2_510FP5
-- # Revision: 1.1
-- # Date: 2/13/04 10:21:10
-- ############################################################################

----------------------
-- CTD HOST
--------------------- 
--#IGNORE_ERROR 
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_HOST;

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_HOST (
 orig_host_id                integer        not null,
 host_id		     integer,
 cdw_id		             integer        not null,		
 host_name                   varchar(254)   not null,
 cust_nm                     varchar(120), 
 centr_nm                    varchar(120),
      primary key (orig_host_id, cdw_id)
      );
      

----------------------
-- CTD_INSTANCE
--------------------- 
--#IGNORE_ERROR
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_INST_MET;

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_INST_MET (
  orig_metric_id 		integer not null,
  metric_id 	  		integer not null,
  cdw_id 			integer not null,
  met_category 	                varchar(254),
  met_desc            		varchar(254),
  met_name 			varchar(254) not null,
  met_units 			varchar(254),
  min_exists		   	char(1)        not null,
  max_exists		   	char(1)        not null,
  avg_exists		   	char(1)        not null,
  total_exists	           	char(1)        not null,
  msrc_nm		   	varchar(254),
    primary key (orig_metric_id, cdw_id)
)
;

--#IGNORE_ERROR 
--#EXECUTE_AT_TARGET
drop table CTD.STG_INST_HR; 

--#EXECUTE_AT_TARGET
create table CTD.STG_INST_HR 
( 
    cdw_id integer not null,
    msmt_id integer not null,
    orig_INST_id integer not null,
    INST_id integer not null,
    Inst_Vers    varchar(254) not null,
    Inst_Vers_id integer not null,
    orig_host_id integer not null,
    host_id integer not null,
    host_ip_ad varchar(254) not null,
    host_ip_ad_id integer not null,
    orig_metric_id integer not null,
    metric_id integer not null,
    meas_hour timestamp not null,
    row_exists char(1) not null,
    min_value double,
    max_value double,
    avg_value double,
    total_value double,
    sample_count double,
    primary key (msmt_id, cdw_id)
); 

--#IGNORE_ERROR 
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_INST;

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_INST (
 Inst_Nm	varchar(254), 
 orig_INST_id         integer        not null,  
 IsMPP 		varchar(254),
 cdw_id			 integer        not null, 
 INST_id              integer not null,
      primary key (orig_INST_id,cdw_id)
      );

----------------------
-- CTD_DATABASE
--------------------- 
--#IGNORE_ERROR 
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_DB_MET;

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_DB_MET (
  orig_metric_id 		integer not null,
  metric_id 	  		integer not null,
  cdw_id 			integer not null,
  met_category 	                varchar(254),
  met_desc            		varchar(254),
  met_name 			varchar(254) not null,
  met_units 			varchar(254),
  min_exists		   	char(1)        not null,
  max_exists		   	char(1)        not null,
  avg_exists		   	char(1)        not null,
  total_exists	           	char(1)        not null,
  msrc_nm		   	varchar(254),
    primary key (orig_metric_id, cdw_id)
);

--#IGNORE_ERROR
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_DB ;

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_DB (
 DB_Nm	varchar(254), 
 orig_DB_id         integer        not null, 
 cdw_id			 integer        not null, 
 DB_id              integer not null,
      primary key (orig_DB_id,cdw_id)
      );
      
--#IGNORE_ERROR 
--#EXECUTE_AT_TARGET
drop table CTD.STG_DB_HR; 

--#EXECUTE_AT_TARGET
create table CTD.STG_DB_HR 
( 
    cdw_id integer not null,
    msmt_id integer not null,
    orig_DB_id integer not null, 
    DB_id integer not null,
    orig_INST_id integer not null, 
    INST_id integer not null,
    Inst_Vers    varchar(254) not null,
    Inst_vers_id integer not null,
    orig_host_id integer not null,
    host_id integer not null,
    host_ip_ad varchar(254) not null,
    host_ip_ad_id integer not null,
    orig_metric_id integer not null,
    metric_id integer not null,
    meas_hour timestamp not null,
    row_exists char(1) not null,
    min_value double,
    max_value double,
    avg_value double,
    total_value double,
    sample_count double,
    primary key (msmt_id, cdw_id)
); 


----------------------
-- CTD_GATEWAY
--------------------- 
--#IGNORE_ERROR
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_GTWY_MET;

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_GTWY_MET (
  orig_metric_id 		integer not null,
  metric_id 	  		integer not null,
  cdw_id 			integer not null,
  met_category 	                varchar(254),
  met_desc            		varchar(254),
  met_name 			varchar(254) not null,
  met_units 			varchar(254),
  min_exists		   	char(1)        not null,
  max_exists		   	char(1)        not null,
  avg_exists		   	char(1)        not null,
  total_exists	           	char(1)        not null,
  msrc_nm		   	varchar(254),
    primary key (orig_metric_id, cdw_id)
)
;

--#IGNORE_ERROR
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_GTWY ;

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_GTWY (
 Gtwy_Nm	varchar(254), 
 orig_GTWY_id         integer        not null, 
 cdw_id			 integer        not null, 
 GTWY_id              integer not null,
      primary key (orig_GTWY_id,cdw_id)
      );


--#IGNORE_ERROR 
--#EXECUTE_AT_TARGET
drop table CTD.STG_GTWY_HR; 

--#EXECUTE_AT_TARGET
create table CTD.STG_GTWY_HR 
( 
    cdw_id integer not null,
    msmt_id integer not null,
    orig_GTWY_id integer not null, 
    GTWY_id integer not null,
    orig_INST_id integer not null, 
    INST_id integer not null,
    Inst_Vers    varchar(254) not null,
    Inst_Vers_id integer not null,
    orig_host_id integer not null,
    host_id integer not null,
    host_ip_ad varchar(254) not null,
    host_ip_ad_id integer not null,
    orig_metric_id integer not null,
    metric_id integer not null,
    meas_hour timestamp not null,
    row_exists char(1) not null,
    min_value double,
    max_value double,
    avg_value double,
    total_value double,
    sample_count double,
    primary key (msmt_id, cdw_id)
); 


----------------------
-- CTD_NODE
--------------------- 
--#IGNORE_ERROR
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_NODE_MET;

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_NODE_MET (
  orig_metric_id 		integer not null,
  metric_id 	  		integer not null,
  cdw_id 			integer not null,
  met_category 	                varchar(254),
  met_desc            		varchar(254),
  met_name 			varchar(254) not null,
  met_units 			varchar(254),
  min_exists		   	char(1)        not null,
  max_exists		   	char(1)        not null,
  avg_exists		   	char(1)        not null,
  total_exists	           	char(1)        not null,
  msrc_nm		   	varchar(254),
    primary key (orig_metric_id, cdw_id)
)
;
--#IGNORE_ERROR
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_NODE;

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_NODE (
 Node_Number	varchar(254),
 Node_Hostname	varchar(254), 
 orig_NODE_id         integer        not null,  
 Node_Port_Number 		varchar(254),
 cdw_id			 integer        not null, 
 NODE_id              integer not null,
      primary key (orig_NODE_id,cdw_id)
      );

--#IGNORE_ERROR
--#EXECUTE_AT_TARGET
drop table CTD.STG_NODE_HR; 

--#EXECUTE_AT_TARGET
create table CTD.STG_NODE_HR 
( 
    cdw_id integer not null,
    msmt_id integer not null,
    orig_NODE_id integer not null, 
    NODE_id integer not null,
    Nd_LGPTH    varchar(254) not null,
    Nd_LGPTH_id integer not null,
    orig_DB_id integer not null, 
    DB_id integer not null,
    orig_INST_id integer not null, 
    INST_id integer not null,
    Inst_Vers    varchar(254) not null,
    Inst_Vers_id integer not null,
    orig_host_id integer not null,
    host_id integer not null,
    host_ip_ad varchar(254) not null,
    host_ip_ad_id integer not null,
    orig_metric_id integer not null,
    metric_id integer not null,
    meas_hour timestamp not null,
    row_exists char(1) not null,
    min_value double,
    max_value double,
    avg_value double,
    total_value double,
    sample_count double,
    primary key (msmt_id, cdw_id)
); 


----------------------
-- CTD_APPLY_ID
--------------------- 
--#IGNORE_ERROR
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_APPLY_MET ;

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_APPLY_MET (
  orig_metric_id 		integer not null,
  metric_id 	  		integer not null,
  cdw_id 			integer not null,
  met_category 	                varchar(254),
  met_desc            		varchar(254),
  met_name 			varchar(254) not null,
  met_units 			varchar(254),
  min_exists		   	char(1)        not null,
  max_exists		   	char(1)        not null,
  avg_exists		   	char(1)        not null,
  total_exists	           	char(1)        not null,
  msrc_nm		   	varchar(254),
    primary key (orig_metric_id, cdw_id)
)
;
--#IGNORE_ERROR 
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_APPLY;

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_APPLY (
 ApplyID	varchar(254), 
 orig_APPLY_id         integer        not null, 
 cdw_id			 integer        not null, 
 APPLY_id              integer not null,
      primary key (orig_APPLY_id,cdw_id)
      );
      
--#IGNORE_ERROR 
--#EXECUTE_AT_TARGET
drop table CTD.STG_APPLY_HR; 

--#EXECUTE_AT_TARGET
create table CTD.STG_APPLY_HR 
( 
    cdw_id integer not null,
    msmt_id integer not null,
    orig_APPLY_id integer not null, 
    APPLY_id integer not null,
    orig_DB_id integer not null, 
    DB_id integer not null,
    orig_INST_id integer not null, 
    INST_id integer not null,
    Inst_Vers    varchar(254) not null,
    Inst_Vers_id integer not null,
    orig_host_id integer not null,
    host_id integer not null,
    host_ip_ad varchar(254) not null,
    host_ip_ad_id integer not null,
    orig_metric_id integer not null,
    metric_id integer not null,
    meas_hour timestamp not null,
    row_exists char(1) not null,
    min_value double,
    max_value double,
    avg_value double,
    total_value double,
    sample_count double,
    primary key (msmt_id, cdw_id)
); 


----------------------
-- CTD_TABLE
--------------------- 
--#IGNORE_ERROR
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_TABLE_MET ;

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_TABLE_MET (
  orig_metric_id 		integer not null,
  metric_id 	  		integer not null,
  cdw_id 			integer not null,
  met_category 	                varchar(254),
  met_desc            		varchar(254),
  met_name 			varchar(254) not null,
  met_units 			varchar(254),
  min_exists		   	char(1)        not null,
  max_exists		   	char(1)        not null,
  avg_exists		   	char(1)        not null,
  total_exists	           	char(1)        not null,
  msrc_nm		   	varchar(254),
    primary key (orig_metric_id, cdw_id)
)
;

--#IGNORE_ERROR
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_TABLE;

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_TABLE (
 Table_Nm	varchar(254),
	Table_Owner	varchar(254), 
 orig_TABLE_id         integer        not null, 
 cdw_id			 integer        not null, 
 TABLE_id              integer not null,
      primary key (orig_TABLE_id,cdw_id)
      );

--#IGNORE_ERROR 
--#EXECUTE_AT_TARGET
drop table CTD.STG_TABLE_HR; 

--#EXECUTE_AT_TARGET
create table CTD.STG_TABLE_HR 
( 
    cdw_id integer not null,
    msmt_id integer not null,
    orig_TABLE_id integer not null, 
    TABLE_id integer not null,
    orig_DB_id integer not null, 
    DB_id integer not null,
    orig_INST_id integer not null, 
    INST_id integer not null,
    Inst_Vers    varchar(254) not null,
    Inst_Vers_id integer not null,
    orig_host_id integer not null,
    host_id integer not null,
    host_ip_ad varchar(254) not null,
    host_ip_ad_id integer not null,
    orig_metric_id integer not null,
    metric_id integer not null,
    meas_hour timestamp not null,
    row_exists char(1) not null,
    min_value double,
    max_value double,
    avg_value double,
    total_value double,
    sample_count double,
    primary key (msmt_id, cdw_id)
); 


----------------------
-- CTD_APPL
--------------------- 
--#IGNORE_ERROR
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_APPL_MET;

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_APPL_MET (
  orig_metric_id 		integer not null,
  metric_id 	  		integer not null,
  cdw_id 			integer not null,
  met_category 	                varchar(254),
  met_desc            		varchar(254),
  met_name 			varchar(254) not null,
  met_units 			varchar(254),
  min_exists		   	char(1)        not null,
  max_exists		   	char(1)        not null,
  avg_exists		   	char(1)        not null,
  total_exists	           	char(1)        not null,
  msrc_nm		   	varchar(254),
    primary key (orig_metric_id, cdw_id)
)
;
--#IGNORE_ERROR 
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_APPL; 

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_APPL (
 Appl_Nm	varchar(254), 
 orig_APPL_id         integer        not null, 
 cdw_id			 integer        not null, 
 APPL_id              integer not null,
      primary key (orig_APPL_id,cdw_id)
      );


--#IGNORE_ERROR 
--#EXECUTE_AT_TARGET
drop table CTD.STG_APPL_HR; 

--#EXECUTE_AT_TARGET
create table CTD.STG_APPL_HR 
( 
    cdw_id integer not null,
    msmt_id integer not null,
    orig_APPL_id integer not null, 
    APPL_id integer not null,
    orig_DB_id integer not null, 
    DB_id integer not null,
    orig_INST_id integer not null, 
    INST_id integer not null,
    Inst_Vers    varchar(254) not null,
    Inst_Vers_id integer not null,
    orig_host_id integer not null,
    host_id integer not null,
    host_ip_ad varchar(254) not null,
    host_ip_ad_id integer not null,
    orig_metric_id integer not null,
    metric_id integer not null,
    meas_hour timestamp not null,
    row_exists char(1) not null,
    min_value double,
    max_value double,
    avg_value double,
    total_value double,
    sample_count double,
    primary key (msmt_id, cdw_id)
); 


----------------------
-- CTD_TBSP
--------------------- 

--#IGNORE_ERROR
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_TBSP_ND_MET ;

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_TBSP_ND_MET (
  orig_metric_id 		integer not null,
  metric_id 	  		integer not null,
  cdw_id 			integer not null,
  met_category 	                varchar(254),
  met_desc            		varchar(254),
  met_name 			varchar(254) not null,
  met_units 			varchar(254),
  min_exists		   	char(1)        not null,
  max_exists		   	char(1)        not null,
  avg_exists		   	char(1)        not null,
  total_exists	           	char(1)        not null,
  msrc_nm		   	varchar(254),
    primary key (orig_metric_id, cdw_id)
)
;

--#IGNORE_ERROR
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_TBSP_ND ;

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_TBSP_ND (
 Tbsp_Nd_Nm	varchar(254), 
 orig_TBSP_ND_id         integer        not null, 
 cdw_id			 integer        not null, 
 TBSP_ND_id              integer not null,
      primary key (orig_TBSP_ND_id,cdw_id)
      );



--#IGNORE_ERROR 
--#EXECUTE_AT_TARGET
drop table CTD.STG_TBSP_ND_HR; 

--#EXECUTE_AT_TARGET
create table CTD.STG_TBSP_ND_HR 
( 
    cdw_id integer not null,
    msmt_id integer not null,
    orig_TBSP_ND_id integer not null, 
    TBSP_ND_id integer not null,
    orig_NODE_id integer not null, 
    NODE_id integer not null,
    Nd_LGPTH    varchar(254) not null,
    Nd_LGPTH_id integer not null,
    orig_DB_id integer not null, 
    DB_id integer not null,
    orig_INST_id integer not null, 
    INST_id integer not null,
    Inst_Vers    varchar(254) not null,
    Inst_vers_id integer not null,
    orig_host_id integer not null,
    host_id integer not null,
    host_ip_ad varchar(254) not null,
    host_ip_Ad_id integer not null,
    orig_metric_id integer not null,
    metric_id integer not null,
    meas_hour timestamp not null,
    row_exists char(1) not null,
    min_value double,
    max_value double,
    avg_value double,
    total_value double,
    sample_count double,
    primary key (msmt_id, cdw_id)
); 


----------------------
-- CTD_TABLE_APPLY
--------------------- 
--#IGNORE_ERROR 
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_TAPPLY_MET ;

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_TAPPLY_MET (
  orig_metric_id 		integer not null,
  metric_id 	  		integer not null,
  cdw_id 			integer not null,
  met_category 	                varchar(254),
  met_desc            		varchar(254),
  met_name 			varchar(254) not null,
  met_units 			varchar(254),
  min_exists		   	char(1)        not null,
  max_exists		   	char(1)        not null,
  avg_exists		   	char(1)        not null,
  total_exists	           	char(1)        not null,
  msrc_nm		   	varchar(254),
    primary key (orig_metric_id, cdw_id)
)
;

--#IGNORE_ERROR 
--#EXECUTE_AT_TARGET
DROP TABLE CTD.STG_T_TAPPLY;

--#EXECUTE_AT_TARGET
CREATE TABLE CTD.STG_T_TAPPLY (    
 Tapply_Nm	varchar(254),
 Tapply_Owner	varchar(254), 
 orig_TBAPPLY_id         integer        not null, 
 cdw_id			 integer        not null, 
 TBAPPLY_id              integer not null,
      primary key (orig_TBAPPLY_id,cdw_id)
      );

--#IGNORE_ERROR
--#EXECUTE_AT_TARGET
drop table CTD.STG_TAPPLY_HR; 

--#EXECUTE_AT_TARGET
create table CTD.STG_TAPPLY_HR 
( 
    cdw_id integer not null,
    msmt_id integer not null,
    orig_TBAPPLY_id integer not null,
    TBAPPLY_id integer not null,
    orig_APPLY_id integer not null,
    APPLY_id integer not null,
    orig_DB_id integer not null, 
    DB_id integer not null,
    orig_INST_id integer not null, 
    INST_id integer not null,
    Inst_Vers    varchar(254) not null,
    Inst_Vers_id integer not null,
    orig_host_id integer not null,
    host_id integer not null,
    host_ip_ad varchar(254) not null,
    host_ip_ad_id integer not null,
    orig_metric_id integer not null,
    metric_id integer not null,
    meas_hour timestamp not null,
    row_exists char(1) not null,
    min_value double,
    max_value double,
    avg_value double,
    total_value double,
    sample_count double,
    primary key (msmt_id, cdw_id)
); 

