-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-B96
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- # File Information: src/tedw_apps_etl/FixPack/ctd/etl/sql/ctd_m05_s020_mart_extract.db2, dbmx_db2_tedw, dbmx_db2_510FP5
-- # Revision: 1.1
-- # Date: 2/13/04 10:21:10
-- ############################################################################
-- etl2 
 
--#VERSION 1.1.0.1.0 

------------------------
-- HOST
------------------------
update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      ctd.ve_host 
) 
where  
 extctl_source= 'TWG.COMP'  and 
 extctl_target= 'CTD.STG_T_HOST'  and 
 exists 
( 
   select max_value 
  from 
   CTD.ve_host 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_t_host 
(cdw_id, host_id, orig_host_id, host_name, cust_nm, centr_nm) 
select 
 1,
 0,
 a.orig_host_id,
 a.host_name,
 a.cust_nm,
 a.centr_nm 
from 
 CTD.vd_host  a, 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.COMP'  and
 ec.extctl_target='CTD.STG_T_HOST'  and
 a.orig_host_id > ec.extctl_from_intseq and
 a.orig_host_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.COMP'  and
 ec.extctl_target='CTD.STG_T_HOST'; 
 
---------------------------
-- CTD_INSTANCE
---------------------------
update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_INST_met 
) 
where  
extctl_source= 'CTD.STG_INST_MET'  and 
extctl_target= 'CTD.STG_T_INST_MET'  and 
exists 
( 
  select max_value from 
       CTD.ve_INST_met 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_T_INST_MET 
(cdw_id, metric_id, orig_metric_id, met_category, met_desc, met_name, met_units, min_exists, max_exists, avg_exists, total_exists, msrc_nm) 
select 
1,
0,
a.orig_metric_id,
a.met_category,
a.met_desc,
a.met_name,
a.met_units,
a.min_exists,
a.max_exists,
a.avg_exists,
a.total_exists,
a.msrc_nm 
from 
CTD.vd_INST_met  a, 
twg.extract_control ec 
where 
ec.extctl_source='CTD.STG_INST_MET'  and
ec.extctl_target='CTD.STG_T_INST_MET'  and
a.orig_metric_id > ec.extctl_from_intseq and
a.orig_metric_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='CTD.STG_INST_MET'  and
ec.extctl_target='CTD.STG_T_INST_MET'; 
 

update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_INST
) 
where  
extctl_source= 'TWG.COMP'  and 
extctl_target= 'CTD.STG_T_INST'  and 
exists 
( 
  select max_value from 
       CTD.ve_INST 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_t_INST 
(cdw_id, INST_id, orig_INST_id, Inst_Nm  , IsMPP) 
select 
1,
0,
a.orig_INST_id,
a.Inst_Nm  , 
 a.IsMPP
from 
CTD.vd_INST  a, 
twg.extract_control ec 
where 
ec.extctl_source='TWG.COMP'  and
ec.extctl_target='CTD.STG_T_INST'  and
a.orig_INST_id > ec.extctl_from_intseq and
a.orig_INST_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.COMP'  and
ec.extctl_target='CTD.STG_T_INST'; 
 

update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_stg_INST_hr 
) 
where  
extctl_source= 'TWG.MSMT'  and 
extctl_target= 'CTD.STG_INST_HR'  and 
exists 
( 
  select max_value from 
       CTD.ve_stg_INST_hr 
); 
 



-- insert from the view for the stage fact 
-- table (located in the cdw) 
-- into the staging fact table for the fact table 
-- located in the data mart 

--#INSERT_INTO_TARGET 
insert into  
CTD.STG_INST_HR
( cdw_id, msmt_id, orig_INST_id, INST_id, Inst_Vers, Inst_Vers_id, orig_host_id, host_id, host_ip_ad, host_ip_ad_id, orig_metric_id, metric_id, meas_hour, row_exists, min_value, max_value, avg_value, total_value, sample_count) 
select 
 1,
 min(m.msmt_id),
 a.orig_INST_id,
 -1,
 min(a.Inst_Vers),
 -1,
 a.orig_host_id,
 -1,
 min(a.host_ip_ad),
 -1,
 m.msmttyp_id,
 -1,
 timestamp (m.msmt_strt_dt,m.msmt_strt_tm),
 'N',
 min(m.msmt_min_val),
 max(m.msmt_max_val),
 avg(m.msmt_avg_val),
 avg(m.msmt_tot_val),
 avg(m.msmt_smpl_cnt)
from
 CTD.STG_HOST_TO_INST a,
 TWG.msmt m,
 twg.extract_control ec 
where 
 m.comp_id=a.orig_INST_id and
 ec.extctl_source='TWG.MSMT'  and
 ec.extctl_target='CTD.STG_INST_HR'  and
 (date(current timestamp - current timezone) - date(m.msmt_strt_dt))<
 (select PMartC_Duration from CTD.Prune_Mart_Control p
  where p.Table_Name= 'CTD.F_INST_HOUR') and
 m.msmt_id > ec.extctl_from_intseq and
 m.msmt_id <= ec.extctl_to_intseq
group by
 a.orig_INST_id, a.orig_host_id, m.msmttyp_id, m.msmt_strt_dt, m.msmt_strt_tm
; 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.MSMT'  and
 ec.extctl_target='CTD.STG_INST_HR'; 
 


---------------------------
-- CTD_DATABASE
---------------------------
update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_DB_met 
) 
where  
extctl_source= 'CTD.STG_DB_MET'  and 
extctl_target= 'CTD.STG_T_DB_MET'  and 
exists 
( 
  select max_value from 
       CTD.ve_DB_met 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_T_DB_MET 
(cdw_id, metric_id, orig_metric_id, met_category, met_desc, met_name, met_units, min_exists, max_exists, avg_exists, total_exists, msrc_nm) 
select 
1,
0,
a.orig_metric_id,
a.met_category,
a.met_desc,
a.met_name,
a.met_units,
a.min_exists,
a.max_exists,
a.avg_exists,
a.total_exists,
a.msrc_nm 
from 
CTD.vd_DB_met  a, 
twg.extract_control ec 
where 
ec.extctl_source='CTD.STG_DB_MET'  and
ec.extctl_target='CTD.STG_T_DB_MET'  and
a.orig_metric_id > ec.extctl_from_intseq and
a.orig_metric_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='CTD.STG_DB_MET'  and
ec.extctl_target='CTD.STG_T_DB_MET'; 
 

update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_DB
) 
where  
extctl_source= 'TWG.COMP'  and 
extctl_target= 'CTD.STG_T_DB'  and 
exists 
( 
  select max_value from 
       CTD.ve_DB 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_t_DB 
(cdw_id, DB_id, orig_DB_id, DB_Nm ) 
select 
1,
0,
a.orig_DB_id,
a.DB_Nm 
from 
CTD.vd_DB  a, 
twg.extract_control ec 
where 
ec.extctl_source='TWG.COMP'  and
ec.extctl_target='CTD.STG_T_DB'  and
a.orig_DB_id > ec.extctl_from_intseq and
a.orig_DB_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.COMP'  and
ec.extctl_target='CTD.STG_T_DB'; 
 

update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_stg_DB_hr 
) 
where  
extctl_source= 'TWG.MSMT'  and 
extctl_target= 'CTD.STG_DB_HR'  and 
exists 
( 
  select max_value from 
       CTD.ve_stg_DB_hr 
); 
 



-- insert from the view for the stage fact 
-- table (located in the cdw) 
-- into the staging fact table for the fact table 
-- located in the data mart 
--#INSERT_INTO_TARGET 
insert into  
CTD.STG_DB_HR
( cdw_id, msmt_id, orig_DB_id, DB_id, orig_INST_id, Inst_id, Inst_Vers, Inst_Vers_id, orig_host_id, host_id, host_ip_ad, host_ip_ad_id, orig_metric_id, metric_id, meas_hour, row_exists, min_value, max_value, avg_value, total_value, sample_count) 
select 
 1,
 min(m.msmt_id),
 a.orig_DB_id, 
 -1,
 a.orig_INST_id, 
 -1,
 min(a.Inst_Vers),
 -1,
 a.orig_host_id,
 -1,
 min(a.host_ip_ad),
 -1,
 m.msmttyp_id,
 -1,
 timestamp(m.msmt_strt_dt,m.msmt_strt_tm),
 'N',
 min(m.msmt_min_val),
 max(m.msmt_max_val),
 avg(m.msmt_avg_val),
 avg(m.msmt_tot_val),
 avg(m.msmt_smpl_cnt) 
from
 CTD.STG_HOST_TO_DB a,
 TWG.msmt m,
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.MSMT'  and
 ec.extctl_target='CTD.STG_DB_HR'  and
 (date(current timestamp - current timezone) - date(m.msmt_strt_dt))<
 (select PMartC_Duration from CTD.Prune_Mart_Control p
  where p.Table_Name= 'CTD.F_DB_HOUR') and
 m.comp_id=a.orig_DB_id and 
 m.msmt_id > ec.extctl_from_intseq and
 m.msmt_id <= ec.extctl_to_intseq
group by
 a.orig_DB_id, a.orig_INST_id, a.orig_host_id, m.msmttyp_id, m.msmt_strt_dt, m.msmt_strt_tm
; 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.MSMT'  and
 ec.extctl_target='CTD.STG_DB_HR'; 
 


---------------------------
-- CTD_GATEWAY
---------------------------
update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_GTWY_met 
) 
where  
extctl_source= 'CTD.STG_GTWY_MET'  and 
extctl_target= 'CTD.STG_T_GTWY_MET'  and 
exists 
( 
  select max_value from 
       CTD.ve_GTWY_met 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_T_GTWY_MET 
(cdw_id, metric_id, orig_metric_id, met_category, met_desc, met_name, met_units, min_exists, max_exists, avg_exists, total_exists, msrc_nm) 
select 
1,
0,
a.orig_metric_id,
a.met_category,
a.met_desc,
a.met_name,
a.met_units,
a.min_exists,
a.max_exists,
a.avg_exists,
a.total_exists,
a.msrc_nm 
from 
CTD.vd_GTWY_met  a, 
twg.extract_control ec 
where 
ec.extctl_source='CTD.STG_GTWY_MET'  and
ec.extctl_target='CTD.STG_T_GTWY_MET'  and
a.orig_metric_id > ec.extctl_from_intseq and
a.orig_metric_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='CTD.STG_GTWY_MET'  and
ec.extctl_target='CTD.STG_T_GTWY_MET'; 
 

update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_GTWY
) 
where  
extctl_source= 'TWG.COMP'  and 
extctl_target= 'CTD.STG_T_GTWY'  and 
exists 
( 
  select max_value from 
       CTD.ve_GTWY 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_t_GTWY 
(cdw_id, GTWY_id, orig_GTWY_id, Gtwy_Nm ) 
select 
1,
0,
a.orig_GTWY_id,
a.Gtwy_Nm 
from 
CTD.vd_GTWY  a, 
twg.extract_control ec 
where 
ec.extctl_source='TWG.COMP'  and
ec.extctl_target='CTD.STG_T_GTWY'  and
a.orig_GTWY_id > ec.extctl_from_intseq and
a.orig_GTWY_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.COMP'  and
ec.extctl_target='CTD.STG_T_GTWY'; 
 

update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_stg_GTWY_hr 
) 
where  
extctl_source= 'TWG.MSMT'  and 
extctl_target= 'CTD.STG_GTWY_HR'  and 
exists 
( 
  select max_value from 
       CTD.ve_stg_GTWY_hr 
); 
 



-- insert from the view for the stage fact 
-- table (located in the cdw) 
-- into the staging fact table for the fact table 
-- located in the data mart 
--#INSERT_INTO_TARGET 
insert into  
CTD.STG_GTWY_HR
( cdw_id, msmt_id, orig_GTWY_id, GTWY_id, orig_INST_id, INST_id, Inst_Vers, Inst_Vers_id, orig_host_id, host_id, host_ip_ad, host_ip_ad_id, orig_metric_id, metric_id, meas_hour, row_exists, min_value, max_value, avg_value, total_value, sample_count) 
select 
 1,
 min(m.msmt_id),
 a.orig_GTWY_id, 
 -1,
 a.orig_INST_id, 
 -1,
 min(a.Inst_Vers),
 -1,
 a.orig_host_id,
 -1,
 min(a.host_ip_ad),
 -1,
 m.msmttyp_id,
 -1,
 timestamp(m.msmt_strt_dt,m.msmt_strt_tm),
 'N',
 min(m.msmt_min_val),
 max(m.msmt_max_val),
 avg(m.msmt_avg_val),
 avg(m.msmt_tot_val),
 avg(m.msmt_smpl_cnt) 
from 
 CTD.STG_HOST_TO_GTWY a,
 TWG.msmt m,
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.MSMT'  and
 ec.extctl_target='CTD.STG_GTWY_HR'  and
 (date(current timestamp - current timezone) - date(m.msmt_strt_dt))<
 (select PMartC_Duration from CTD.Prune_Mart_Control p
  where p.Table_Name= 'CTD.F_GTWY_HOUR') and
 m.comp_id=a.orig_GTWY_id and 
 m.msmt_id > ec.extctl_from_intseq and
 m.msmt_id <= ec.extctl_to_intseq
group by
 a.orig_GTWY_id, a.orig_INST_id, a.orig_host_id, m.msmttyp_id, m.msmt_strt_dt, m.msmt_strt_tm
; 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.MSMT'  and
 ec.extctl_target='CTD.STG_GTWY_HR'; 
 


---------------------------
-- CTD_NODE
---------------------------
update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_NODE_met 
) 
where  
extctl_source= 'CTD.STG_NODE_MET'  and 
extctl_target= 'CTD.STG_T_NODE_MET'  and 
exists 
( 
  select max_value from 
       CTD.ve_NODE_met 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_T_NODE_MET 
(cdw_id, metric_id, orig_metric_id, met_category, met_desc, met_name, met_units, min_exists, max_exists, avg_exists, total_exists, msrc_nm) 
select 
1,
0,
a.orig_metric_id,
a.met_category,
a.met_desc,
a.met_name,
a.met_units,
a.min_exists,
a.max_exists,
a.avg_exists,
a.total_exists,
a.msrc_nm 
from 
CTD.vd_NODE_met  a, 
twg.extract_control ec 
where 
ec.extctl_source='CTD.STG_NODE_MET'  and
ec.extctl_target='CTD.STG_T_NODE_MET'  and
a.orig_metric_id > ec.extctl_from_intseq and
a.orig_metric_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='CTD.STG_NODE_MET'  and
ec.extctl_target='CTD.STG_T_NODE_MET'; 
 

update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_NODE
) 
where  
extctl_source= 'TWG.COMP'  and 
extctl_target= 'CTD.STG_T_NODE'  and 
exists 
( 
  select max_value from 
       CTD.ve_NODE 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_t_NODE 
(cdw_id, NODE_id, orig_NODE_id, Node_Number, Node_Hostname  , Node_Port_Number) 
select 
1,
0,
a.orig_NODE_id,
a.Node_Number,
a.Node_Hostname  , 
a.Node_Port_Number
from 
CTD.vd_NODE  a, 
twg.extract_control ec 
where 
ec.extctl_source='TWG.COMP'  and
ec.extctl_target='CTD.STG_T_NODE'  and
a.orig_NODE_id > ec.extctl_from_intseq and
a.orig_NODE_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.COMP'  and
ec.extctl_target='CTD.STG_T_NODE'; 
 

update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_stg_NODE_hr 
) 
where  
extctl_source= 'TWG.MSMT'  and 
extctl_target= 'CTD.STG_NODE_HR'  and 
exists 
( 
  select max_value from 
       CTD.ve_stg_NODE_hr 
); 
 



-- insert from the view for the stage fact 
-- table (located in the cdw) 
-- into the staging fact table for the fact table 
-- located in the data mart 
--#INSERT_INTO_TARGET 
insert into  
CTD.STG_NODE_HR
( cdw_id, msmt_id, orig_NODE_id, NODE_id, Nd_LGPTH, Nd_LGPTH_id, orig_DB_id, DB_id, orig_INST_id, INST_id, Inst_Vers, Inst_Vers_id, orig_host_id, host_id, host_ip_ad, host_ip_ad_id, orig_metric_id, metric_id, meas_hour, row_exists, min_value, max_value, avg_value, total_value, sample_count) 
select 
 1,
 min(m.msmt_id),
 a.orig_NODE_id, 
 -1,
 min(a.Nd_LGPTH),
 -1,
 a.orig_DB_id, 
 -1,
 a.orig_INST_id, 
 -1,
 min(a.Inst_Vers),
 -1,
 a.orig_host_id,
 -1,
 min(a.host_ip_ad),
 -1,
 m.msmttyp_id,
 -1,
 timestamp(m.msmt_strt_dt,m.msmt_strt_tm),
 'N',
 min(m.msmt_min_val),
 max(m.msmt_max_val),
 avg(m.msmt_avg_val),
 avg(m.msmt_tot_val),
 avg(m.msmt_smpl_cnt)
from 
 CTD.STG_HOST_TO_NODE a,
 TWG.msmt m,
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.MSMT'  and
 ec.extctl_target='CTD.STG_NODE_HR'  and
 (date(current timestamp - current timezone) - date(m.msmt_strt_dt))<
 (select PMartC_Duration from CTD.Prune_Mart_Control p
  where p.Table_Name= 'CTD.F_NODE_HOUR') and
 m.comp_id=a.orig_node_id and 
 m.msmt_id > ec.extctl_from_intseq and
 m.msmt_id <= ec.extctl_to_intseq
group by
 a.orig_NODE_id, a.orig_DB_id, a.orig_INST_id, a.orig_host_id, m.msmttyp_id, m.msmt_strt_dt, m.msmt_strt_tm
; 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.MSMT'  and
 ec.extctl_target='CTD.STG_NODE_HR'; 
 


---------------------------
-- CTD_APPLY_ID
---------------------------
update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_APPLY_met 
) 
where  
extctl_source= 'CTD.STG_APPLY_MET'  and 
extctl_target= 'CTD.STG_T_APPLY_MET'  and 
exists 
( 
  select max_value from 
       CTD.ve_APPLY_met 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_T_APPLY_MET 
(cdw_id, metric_id, orig_metric_id, met_category, met_desc, met_name, met_units, min_exists, max_exists, avg_exists, total_exists, msrc_nm) 
select 
1,
0,
a.orig_metric_id,
a.met_category,
a.met_desc,
a.met_name,
a.met_units,
a.min_exists,
a.max_exists,
a.avg_exists,
a.total_exists,
a.msrc_nm 
from 
CTD.vd_APPLY_met  a, 
twg.extract_control ec 
where 
ec.extctl_source='CTD.STG_APPLY_MET'  and
ec.extctl_target='CTD.STG_T_APPLY_MET'  and
a.orig_metric_id > ec.extctl_from_intseq and
a.orig_metric_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='CTD.STG_APPLY_MET'  and
ec.extctl_target='CTD.STG_T_APPLY_MET'; 
 

update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_APPLY
) 
where  
extctl_source= 'TWG.COMP'  and 
extctl_target= 'CTD.STG_T_APPLY'  and 
exists 
( 
  select max_value from 
       CTD.ve_APPLY 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_t_APPLY 
(cdw_id, APPLY_id, orig_APPLY_id, ApplyID ) 
select 
1,
0,
a.orig_APPLY_id,
a.ApplyID 
from 
CTD.vd_APPLY  a, 
twg.extract_control ec 
where 
ec.extctl_source='TWG.COMP'  and
ec.extctl_target='CTD.STG_T_APPLY'  and
a.orig_APPLY_id > ec.extctl_from_intseq and
a.orig_APPLY_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.COMP'  and
ec.extctl_target='CTD.STG_T_APPLY'; 
 

update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_stg_APPLY_hr 
) 
where  
extctl_source= 'TWG.MSMT'  and 
extctl_target= 'CTD.STG_APPLY_HR'  and 
exists 
( 
  select max_value from 
       CTD.ve_stg_APPLY_hr 
); 
 



-- insert from the view for the stage fact 
-- table (located in the cdw) 
-- into the staging fact table for the fact table 
-- located in the data mart 

--#INSERT_INTO_TARGET 
insert into  
CTD.STG_APPLY_HR
( cdw_id, msmt_id, orig_APPLY_id, APPLY_id, orig_DB_id, DB_id, orig_INST_id, INST_id, Inst_Vers, Inst_Vers_id, orig_host_id, host_id, host_ip_ad, host_ip_ad_id, orig_metric_id, metric_id, meas_hour, row_exists, min_value, max_value, avg_value, total_value, sample_count) 
select 
 1,
 min(m.msmt_id),
 a.orig_APPLY_id, 
 -1,
 a.orig_DB_id, 
 -1,
 a.orig_INST_id, 
 -1,
 min(a.Inst_Vers),
 -1,
 a.orig_host_id,
 -1,
 min(a.host_ip_ad),
 -1,
 m.msmttyp_id,
 -1,
 timestamp(m.msmt_strt_dt,m.msmt_strt_tm),
 'N',
 min(m.msmt_min_val),
 max(m.msmt_max_val),
 avg(m.msmt_avg_val),
 avg(m.msmt_tot_val),
 avg(m.msmt_smpl_cnt)
from 
 CTD.STG_HOST_TO_APPLY a,
 TWG.msmt m,
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.MSMT'  and
 ec.extctl_target='CTD.STG_APPLY_HR'  and
 (date(current timestamp - current timezone) - date(m.msmt_strt_dt))<
 (select PMartC_Duration from CTD.Prune_Mart_Control p
  where p.Table_Name= 'CTD.F_APPLY_HOUR') and
 m.comp_id=a.orig_APPLY_id and 
 m.msmt_id > ec.extctl_from_intseq and
 m.msmt_id <= ec.extctl_to_intseq
group by
 a.orig_APPLY_id, a.orig_DB_id, a.orig_INST_id, a.orig_host_id, m.msmttyp_id, m.msmt_strt_dt, m.msmt_strt_tm
; 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.MSMT'  and
 ec.extctl_target='CTD.STG_APPLY_HR'; 
 


---------------------------
-- CTD_TABLE
---------------------------
update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_TABLE_met 
) 
where  
extctl_source= 'CTD.STG_TABLE_MET'  and 
extctl_target= 'CTD.STG_T_TABLE_MET'  and 
exists 
( 
  select max_value from 
       CTD.ve_TABLE_met 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_T_TABLE_MET 
(cdw_id, metric_id, orig_metric_id, met_category, met_desc, met_name, met_units, min_exists, max_exists, avg_exists, total_exists, msrc_nm) 
select 
1,
0,
a.orig_metric_id,
a.met_category,
a.met_desc,
a.met_name,
a.met_units,
a.min_exists,
a.max_exists,
a.avg_exists,
a.total_exists,
a.msrc_nm 
from 
CTD.vd_TABLE_met  a, 
twg.extract_control ec 
where 
ec.extctl_source='CTD.STG_TABLE_MET'  and
ec.extctl_target='CTD.STG_T_TABLE_MET'  and
a.orig_metric_id > ec.extctl_from_intseq and
a.orig_metric_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='CTD.STG_TABLE_MET'  and
ec.extctl_target='CTD.STG_T_TABLE_MET'; 
 

update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_TABLE
) 
where  
extctl_source= 'TWG.COMP'  and 
extctl_target= 'CTD.STG_T_TABLE'  and 
exists 
( 
  select max_value from 
       CTD.ve_TABLE 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_t_TABLE 
(cdw_id, TABLE_id, orig_TABLE_id, Table_Nm, Table_Owner ) 
select 
1,
0,
a.orig_TABLE_id,
a.Table_Nm,
 a.Table_Owner 
from 
CTD.vd_TABLE  a, 
twg.extract_control ec 
where 
ec.extctl_source='TWG.COMP'  and
ec.extctl_target='CTD.STG_T_TABLE'  and
a.orig_TABLE_id > ec.extctl_from_intseq and
a.orig_TABLE_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.COMP'  and
ec.extctl_target='CTD.STG_T_TABLE'; 
 

update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_stg_TABLE_hr 
) 
where  
extctl_source= 'TWG.MSMT'  and 
extctl_target= 'CTD.STG_TABLE_HR'  and 
exists 
( 
  select max_value from 
       CTD.ve_stg_TABLE_hr 
); 
 



-- insert from the view for the stage fact 
-- table (located in the cdw) 
-- into the staging fact table for the fact table 
-- located in the data mart 
--#INSERT_INTO_TARGET 
insert into  
CTD.STG_TABLE_HR
( cdw_id, msmt_id, orig_TABLE_id, TABLE_id, orig_DB_id, DB_id, orig_INST_id, INST_id, Inst_Vers, Inst_Vers_id, orig_host_id, host_id, host_ip_ad, host_ip_ad_id, orig_metric_id, metric_id, meas_hour, row_exists, min_value, max_value, avg_value, total_value, sample_count) 
select 
 1,
 min(m.msmt_id),
 a.orig_TABLE_id, 
 -1,
 a.orig_DB_id, 
 -1,
 min(a.orig_INST_id), 
 -1,
 min(a.Inst_Vers),
 -1,
 a.orig_host_id,
 -1,
 min(a.host_ip_ad),
 -1,
 m.msmttyp_id,
 -1,
 timestamp(m.msmt_strt_dt,m.msmt_strt_tm),
 'N',
 min(m.msmt_min_val),
 max(m.msmt_max_val),
 avg(m.msmt_avg_val),
 avg(m.msmt_tot_val),
 avg(m.msmt_smpl_cnt) 
from 
 CTD.STG_HOST_TO_TABLE a,
 TWG.msmt m,
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.MSMT'  and
 ec.extctl_target='CTD.STG_TABLE_HR'  and
 (date(current timestamp - current timezone) - date(m.msmt_strt_dt))<
 (select PMartC_Duration from CTD.Prune_Mart_Control p
  where p.Table_Name= 'CTD.F_TABLE_HOUR') and
 m.comp_id=a.orig_TABLE_id and 
 m.msmt_id > ec.extctl_from_intseq and
 m.msmt_id <= ec.extctl_to_intseq
group by
 a.orig_TABLE_id, a.orig_DB_id, a.orig_INST_id, a.orig_host_id, m.msmttyp_id, m.msmt_strt_dt, m.msmt_strt_tm
; 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.MSMT'  and
 ec.extctl_target='CTD.STG_TABLE_HR'; 
 


---------------------------
-- CTD_APPL
---------------------------
update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_APPL_met 
) 
where  
extctl_source= 'CTD.STG_APPL_MET'  and 
extctl_target= 'CTD.STG_T_APPL_MET'  and 
exists 
( 
  select max_value from 
       CTD.ve_APPL_met 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_T_APPL_MET 
(cdw_id, metric_id, orig_metric_id, met_category, met_desc, met_name, met_units, min_exists, max_exists, avg_exists, total_exists, msrc_nm) 
select 
1,
0,
a.orig_metric_id,
a.met_category,
a.met_desc,
a.met_name,
a.met_units,
a.min_exists,
a.max_exists,
a.avg_exists,
a.total_exists,
a.msrc_nm 
from 
CTD.vd_APPL_met  a, 
twg.extract_control ec 
where 
ec.extctl_source='CTD.STG_APPL_MET'  and
ec.extctl_target='CTD.STG_T_APPL_MET'  and
a.orig_metric_id > ec.extctl_from_intseq and
a.orig_metric_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='CTD.STG_APPL_MET'  and
ec.extctl_target='CTD.STG_T_APPL_MET'; 
 

update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_APPL
) 
where  
extctl_source= 'TWG.COMP'  and 
extctl_target= 'CTD.STG_T_APPL'  and 
exists 
( 
  select max_value from 
       CTD.ve_APPL 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_t_APPL 
(cdw_id, APPL_id, orig_APPL_id, Appl_Nm ) 
select 
1,
0,
a.orig_APPL_id,
a.Appl_Nm 
from 
CTD.vd_APPL  a, 
twg.extract_control ec 
where 
ec.extctl_source='TWG.COMP'  and
ec.extctl_target='CTD.STG_T_APPL'  and
a.orig_APPL_id > ec.extctl_from_intseq and
a.orig_APPL_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.COMP'  and
ec.extctl_target='CTD.STG_T_APPL'; 
 

update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_stg_APPL_hr 
) 
where  
extctl_source= 'TWG.MSMT'  and 
extctl_target= 'CTD.STG_APPL_HR'  and 
exists 
( 
  select max_value from 
       CTD.ve_stg_APPL_hr 
); 
 



-- insert from the view for the stage fact 
-- table (located in the cdw) 
-- into the staging fact table for the fact table 
-- located in the data mart 
--#INSERT_INTO_TARGET 
insert into  
CTD.STG_APPL_HR
( cdw_id, msmt_id, orig_APPL_id, APPL_id, orig_DB_id, DB_id, orig_INST_id, INST_id, Inst_Vers, Inst_Vers_id, orig_host_id, host_id, host_ip_ad, host_ip_ad_id, orig_metric_id, metric_id, meas_hour, row_exists, min_value, max_value, avg_value, total_value, sample_count) 
select 
 1,
 min(m.msmt_id),
 a.orig_APPL_id, 
 -1,
 a.orig_DB_id, 
 -1,
 a.orig_INST_id, 
 -1,
 min(a.Inst_Vers),
 -1,
 a.orig_host_id,
 -1,
 min(a.host_ip_ad),
 -1,
 m.msmttyp_id,
 -1,
 timestamp(m.msmt_strt_dt,m.msmt_strt_tm),
 'N',
 min(m.msmt_min_val),
 max(m.msmt_max_val),
 avg(m.msmt_avg_val),
 avg(m.msmt_tot_val),
 avg(m.msmt_smpl_cnt) 
from 
 CTD.STG_HOST_TO_APPL a,
 TWG.msmt m,
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.MSMT'  and
 ec.extctl_target='CTD.STG_APPL_HR'  and
 (date(current timestamp - current timezone) - date(m.msmt_strt_dt))<
 (select PMartC_Duration from CTD.Prune_Mart_Control p
  where p.Table_Name= 'CTD.F_APPL_HOUR') and
 m.comp_id=a.orig_APPL_id and 
 m.msmt_id > ec.extctl_from_intseq and
 m.msmt_id <= ec.extctl_to_intseq
group by
 a.orig_APPL_id, a.orig_DB_id, a.orig_INST_id, a.orig_host_id, m.msmttyp_id, m.msmt_strt_dt, m.msmt_strt_tm
; 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.MSMT'  and
 ec.extctl_target='CTD.STG_APPL_HR'; 
 


---------------------------
-- CTD_TBSP
---------------------------
update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_TBSP_ND_met 
) 
where  
extctl_source= 'CTD.STG_TBSP_ND_MET'  and 
extctl_target= 'CTD.STG_T_TBSP_ND_MET'  and 
exists 
( 
  select max_value from 
       CTD.ve_TBSP_ND_met 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_T_TBSP_ND_MET 
(cdw_id, metric_id, orig_metric_id, met_category, met_desc, met_name, met_units, min_exists, max_exists, avg_exists, total_exists, msrc_nm) 
select 
1,
0,
a.orig_metric_id,
a.met_category,
a.met_desc,
a.met_name,
a.met_units,
a.min_exists,
a.max_exists,
a.avg_exists,
a.total_exists,
a.msrc_nm 
from 
CTD.vd_TBSP_ND_met  a, 
twg.extract_control ec 
where 
ec.extctl_source='CTD.STG_TBSP_ND_MET'  and
ec.extctl_target='CTD.STG_T_TBSP_ND_MET'  and
a.orig_metric_id > ec.extctl_from_intseq and
a.orig_metric_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='CTD.STG_TBSP_ND_MET'  and
ec.extctl_target='CTD.STG_T_TBSP_ND_MET'; 
 

update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_TBSP_ND
) 
where  
extctl_source= 'TWG.COMP'  and 
extctl_target= 'CTD.STG_T_TBSP_ND'  and 
exists 
( 
  select max_value from 
       CTD.ve_TBSP_ND 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_t_TBSP_ND 
(cdw_id, TBSP_ND_id, orig_TBSP_ND_id, Tbsp_Nd_Nm ) 
select 
1,
0,
a.orig_TBSP_ND_id,
a.Tbsp_Nd_Nm 
from 
CTD.vd_TBSP_ND  a, 
twg.extract_control ec 
where 
ec.extctl_source='TWG.COMP'  and
ec.extctl_target='CTD.STG_T_TBSP_ND'  and
a.orig_TBSP_ND_id > ec.extctl_from_intseq and
a.orig_TBSP_ND_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.COMP'  and
ec.extctl_target='CTD.STG_T_TBSP_ND'; 
 

update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_stg_TBSP_ND_hr 
) 
where  
extctl_source= 'TWG.MSMT'  and 
extctl_target= 'CTD.STG_TBSP_ND_HR'  and 
exists 
( 
  select max_value from 
       CTD.ve_stg_TBSP_ND_hr 
); 
 



-- insert from the view for the stage fact 
-- table (located in the cdw) 
-- into the staging fact table for the fact table 
-- located in the data mart 
--#INSERT_INTO_TARGET 
insert into  
CTD.STG_TBSP_ND_HR
( cdw_id, msmt_id, orig_TBSP_ND_id, TBSP_ND_id, orig_NODE_id, NODE_id, Nd_LGPTH, Nd_LGPTH_id, orig_DB_id, DB_id, orig_INST_id, INST_id, Inst_Vers, Inst_Vers_id, orig_host_id, host_id, host_ip_ad, host_ip_ad_id, orig_metric_id, metric_id, meas_hour, row_exists, min_value, max_value, avg_value, total_value, sample_count
) 
select 
 1,
 min(m.msmt_id),
 a.orig_TBSP_ND_id, 
 -1,
 a.orig_NODE_id, 
 -1,
 min(a.Nd_LGPTH),
 -1,
 a.orig_DB_id, 
 -1,
 a.orig_INST_id, 
 -1,
 min(a.Inst_Vers),
 -1,
 a.orig_host_id,
 -1,
 min(a.host_ip_ad),
 -1,
 m.msmttyp_id,
 -1,
 timestamp(m.msmt_strt_dt,m.msmt_strt_tm),
 'N',
 min(m.msmt_min_val),
 max(m.msmt_max_val),
 avg(m.msmt_avg_val),
 avg(m.msmt_tot_val),
 avg(m.msmt_smpl_cnt)
from 
 CTD.STG_HOST_TO_TBSP_ND a,
 TWG.msmt m, 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.MSMT'  and
 ec.extctl_target='CTD.STG_TBSP_ND_HR'  and
 (date(current timestamp - current timezone) - date(m.msmt_strt_dt))<
 (select PMartC_Duration from CTD.Prune_Mart_Control p
  where p.Table_Name= 'CTD.F_TBSP_ND_HOUR') and
 m.comp_id=a.orig_TBSP_ND_id and
 m.msmt_id > ec.extctl_from_intseq and
 m.msmt_id <= ec.extctl_to_intseq
group by
 a.orig_TBSP_ND_id, a.orig_NODE_id, a.orig_DB_id, a.orig_INST_id, a.orig_host_id, m.msmttyp_id, m.msmt_strt_dt, m.msmt_strt_tm
; 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.MSMT'  and
 ec.extctl_target='CTD.STG_TBSP_ND_HR'; 
 


---------------------------
-- CTD_TABLE_APPLY
---------------------------
update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_TAPPLY_met 
) 
where  
extctl_source= 'CTD.STG_TAPPLY_MET'  and 
extctl_target= 'CTD.STG_T_TAPPLY_MET'  and 
exists 
( 
  select max_value from 
       CTD.ve_TAPPLY_met 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_T_TAPPLY_MET 
(cdw_id, metric_id, orig_metric_id, met_category, met_desc, met_name, met_units, min_exists, max_exists, avg_exists, total_exists, msrc_nm) 
select 
1,
0,
a.orig_metric_id,
a.met_category,
a.met_desc,
a.met_name,
a.met_units,
a.min_exists,
a.max_exists,
a.avg_exists,
a.total_exists,
a.msrc_nm 
from 
CTD.vd_TAPPLY_met  a, 
twg.extract_control ec 
where 
ec.extctl_source='CTD.STG_TAPPLY_MET'  and
ec.extctl_target='CTD.STG_T_TAPPLY_MET'  and
a.orig_metric_id > ec.extctl_from_intseq and
a.orig_metric_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='CTD.STG_TAPPLY_MET'  and
ec.extctl_target='CTD.STG_T_TAPPLY_MET'; 
 

update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_TAPPLY
) 
where  
extctl_source= 'TWG.COMP'  and 
extctl_target= 'CTD.STG_T_TAPPLY'  and 
exists 
( 
  select max_value from 
       CTD.ve_TAPPLY 
); 
 

--#INSERT_INTO_TARGET 
insert into CTD.STG_t_TAPPLY 
(cdw_id, TBAPPLY_id, orig_TBAPPLY_id, Tapply_Nm, Tapply_Owner ) 
select 
1,
0,
a.orig_TBAPPLY_id,
a.Tapply_Nm,
a.Tapply_Owner 
from 
CTD.vd_TAPPLY  a, 
twg.extract_control ec 
where 
ec.extctl_source='TWG.COMP'  and
ec.extctl_target='CTD.STG_T_TAPPLY'  and
a.orig_TBAPPLY_id > ec.extctl_from_intseq and
a.orig_TBAPPLY_id <= ec.extctl_to_intseq; 
 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select 
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.COMP'  and
ec.extctl_target='CTD.STG_T_TAPPLY'; 
 

update twg.extract_control set  
extctl_to_intseq = 
( 
  select max_value from 
      CTD.ve_stg_TAPPLY_hr 
) 
where  
extctl_source= 'TWG.MSMT'  and 
extctl_target= 'CTD.STG_TAPPLY_HR'  and 
exists 
( 
  select max_value from 
       CTD.ve_stg_TAPPLY_hr 
); 
 



-- insert from the view for the stage fact 
-- table (located in the cdw) 
-- into the staging fact table for the fact table 
-- located in the data mart 
--#INSERT_INTO_TARGET 
insert into  
CTD.STG_TAPPLY_HR
( cdw_id, msmt_id, orig_TBAPPLY_id, TBAPPLY_id, orig_APPLY_id, APPLY_Id, orig_DB_id, DB_id, orig_INST_id, INST_id, Inst_Vers, Inst_Vers_id, orig_host_id, host_id, host_ip_ad, host_ip_ad_id, orig_metric_id, metric_id, meas_hour, row_exists, min_value, max_value, avg_value, total_value, sample_count) 
select 
 1,
 min(m.msmt_id),
 a.orig_TBAPPLY_id, 
 -1,
 a.orig_APPLY_id, 
 -1,
 a.orig_DB_id, 
 -1,
 a.orig_INST_id, 
 -1,
 min(a.Inst_Vers),
 -1,
 a.orig_host_id,
 -1,
 min(a.host_ip_ad),
 -1,
 m.msmttyp_id,
 -1,
 timestamp(m.msmt_strt_dt,m.msmt_strt_tm),
 'N',
 min(m.msmt_min_val),
 max(m.msmt_max_val),
 avg(m.msmt_avg_val),
 avg(m.msmt_tot_val),
 avg(m.msmt_smpl_cnt) 
from 
 CTD.STG_HOST_TO_TAPPLY a,
 TWG.msmt m,
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.MSMT'  and
 ec.extctl_target='CTD.STG_TAPPLY_HR'  and
 (date(current timestamp - current timezone) - date(m.msmt_strt_dt))<
 (select PMartC_Duration from CTD.Prune_Mart_Control p
  where p.Table_Name= 'CTD.F_TAPPLY_HOUR') and
 m.comp_id=a.orig_TBAPPLY_id and 
 m.msmt_id > ec.extctl_from_intseq and
 m.msmt_id <= ec.extctl_to_intseq
group by
 a.orig_TBAPPLY_id, a.orig_APPLY_id, a.orig_DB_id, a.orig_INST_id, a.orig_host_id, m.msmttyp_id, m.msmt_strt_dt, m.msmt_strt_tm
; 
 

-- sql statement to update the extract control log 
insert into twg.extract_log 
select  
 ec.extctl_source as extlog_source, 
 ec.extctl_target as extlog_target, 
 current timestamp as extlog_done_dttm, 
 ec.extctl_from_rawseq as extlog_from_rawseq, 
 ec.extctl_to_rawseq as extlog_to_rawseq, 
 ec.extctl_from_intseq as extlog_from_intseq, 
 ec.extctl_to_intseq as extlog_to_intseq, 
 ec.extctl_from_dttm as extlog_from_dttm, 
 ec.extctl_to_dttm as extlog_to_dttm 
from 
 twg.extract_control ec 
where 
 ec.extctl_source='TWG.MSMT'  and
 ec.extctl_target='CTD.STG_TAPPLY_HR'; 
 
