-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-B96
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- # File Information: src/tedw_apps_etl/FixPack/ctd/etl/sql/ctd_m05_s050_mart_prune.db2, dbmx_db2_tedw, dbmx_db2_510FP5
-- # Revision: 1.1
-- # Date: 2/13/04 10:21:12
-- ############################################################################
-------------------
-- HOUR Tables
-------------------
--------------------------------
-- CTD_INSTANCE
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_INST_HOUR', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_INST_HOUR'), 
(select count(*) from  
CTD.F_INST_HOUR f 
where  
(date(meas_HOUR +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_INST_HOUR') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_INST_HOUR f 
where 
date(meas_HOUR  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_INST_HOUR') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_DATABASE
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_DB_HOUR', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_DB_HOUR'), 
(select count(*) from  
CTD.F_DB_HOUR f 
where  
(date(meas_HOUR +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_DB_HOUR') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_DB_HOUR f 
where 
date(meas_HOUR  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_DB_HOUR') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_GATEWAY
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_GTWY_HOUR', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_GTWY_HOUR'), 
(select count(*) from  
CTD.F_GTWY_HOUR f 
where  
(date(meas_HOUR +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_GTWY_HOUR') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_GTWY_HOUR f 
where 
date(meas_HOUR  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_GTWY_HOUR') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_NODE
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_NODE_HOUR', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_NODE_HOUR'), 
(select count(*) from  
CTD.F_NODE_HOUR f 
where  
(date(meas_HOUR +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_NODE_HOUR') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_NODE_HOUR f 
where 
date(meas_HOUR  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_NODE_HOUR') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_APPLY_ID
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_APPLY_HOUR', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_APPLY_HOUR'), 
(select count(*) from  
CTD.F_APPLY_HOUR f 
where  
(date(meas_HOUR +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_APPLY_HOUR') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_APPLY_HOUR f 
where 
date(meas_HOUR  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_APPLY_HOUR') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_TABLE
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_TABLE_HOUR', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_TABLE_HOUR'), 
(select count(*) from  
CTD.F_TABLE_HOUR f 
where  
(date(meas_HOUR +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_TABLE_HOUR') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_TABLE_HOUR f 
where 
date(meas_HOUR  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_TABLE_HOUR') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_APPL
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_APPL_HOUR', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_APPL_HOUR'), 
(select count(*) from  
CTD.F_APPL_HOUR f 
where  
(date(meas_HOUR +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_APPL_HOUR') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_APPL_HOUR f 
where 
date(meas_HOUR  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_APPL_HOUR') 
) 
< 
date(current timestamp - current timezone) 
; 


--------------------------------
-- CTD_TBSP
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_TBSP_ND_HOUR', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_TBSP_ND_HOUR'), 
(select count(*) from  
CTD.F_TBSP_ND_HOUR f 
where  
(date(meas_HOUR +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_TBSP_ND_HOUR') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_TBSP_ND_HOUR f 
where 
date(meas_HOUR  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_TBSP_ND_HOUR') 
) 
< 
date(current timestamp - current timezone) 
; 


--------------------------------
-- CTD_TABLE_APPLY
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_TAPPLY_HOUR', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_TAPPLY_HOUR'), 
(select count(*) from  
CTD.F_TAPPLY_HOUR f 
where  
(date(meas_HOUR +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_TAPPLY_HOUR') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_TAPPLY_HOUR f 
where 
date(meas_HOUR  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_TAPPLY_HOUR') 
) 
< 
date(current timestamp - current timezone) 
; 

-------------------
-- DAY Tables
-------------------
--------------------------------
-- CTD_INSTANCE
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_INST_DAY', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_INST_DAY'), 
(select count(*) from  
CTD.F_INST_DAY f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_INST_DAY') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_INST_DAY f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_INST_DAY') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_DATABASE
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_DB_DAY', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_DB_DAY'), 
(select count(*) from  
CTD.F_DB_DAY f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_DB_DAY') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_DB_DAY f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_DB_DAY') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_GATEWAY
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_GTWY_DAY', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_GTWY_DAY'), 
(select count(*) from  
CTD.F_GTWY_DAY f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_GTWY_DAY') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_GTWY_DAY f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_GTWY_DAY') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_NODE
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_NODE_DAY', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_NODE_DAY'), 
(select count(*) from  
CTD.F_NODE_DAY f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_NODE_DAY') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_NODE_DAY f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_NODE_DAY') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_APPLY_ID
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_APPLY_DAY', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_APPLY_DAY'), 
(select count(*) from  
CTD.F_APPLY_DAY f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_APPLY_DAY') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_APPLY_DAY f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_APPLY_DAY') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_TABLE
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_TABLE_DAY', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_TABLE_DAY'), 
(select count(*) from  
CTD.F_TABLE_DAY f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_TABLE_DAY') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_TABLE_DAY f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_TABLE_DAY') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_APPL
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_APPL_DAY', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_APPL_DAY'), 
(select count(*) from  
CTD.F_APPL_DAY f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_APPL_DAY') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_APPL_DAY f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_APPL_DAY') 
) 
< 
date(current timestamp - current timezone) 
; 


--------------------------------
-- CTD_TBSP
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_TBSP_ND_DAY', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_TBSP_ND_DAY'), 
(select count(*) from  
CTD.F_TBSP_ND_DAY f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_TBSP_ND_DAY') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_TBSP_ND_DAY f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_TBSP_ND_DAY') 
) 
< 
date(current timestamp - current timezone) 
; 


--------------------------------
-- CTD_TABLE_APPLY
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_TAPPLY_DAY', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_TAPPLY_DAY'), 
(select count(*) from  
CTD.F_TAPPLY_DAY f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_TAPPLY_DAY') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_TAPPLY_DAY f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_TAPPLY_DAY') 
) 
< 
date(current timestamp - current timezone) 
; 

-------------------
-- WEEK Tables
-------------------
--------------------------------
-- CTD_INSTANCE
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_INST_WEEK', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_INST_WEEK'), 
(select count(*) from  
CTD.F_INST_WEEK f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_INST_WEEK') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_INST_WEEK f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_INST_WEEK') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_DATABASE
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_DB_WEEK', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_DB_WEEK'), 
(select count(*) from  
CTD.F_DB_WEEK f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_DB_WEEK') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_DB_WEEK f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_DB_WEEK') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_GATEWAY
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_GTWY_WEEK', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_GTWY_WEEK'), 
(select count(*) from  
CTD.F_GTWY_WEEK f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_GTWY_WEEK') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_GTWY_WEEK f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_GTWY_WEEK') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_NODE
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_NODE_WEEK', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_NODE_WEEK'), 
(select count(*) from  
CTD.F_NODE_WEEK f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_NODE_WEEK') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_NODE_WEEK f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_NODE_WEEK') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_APPLY_ID
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_APPLY_WEEK', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_APPLY_WEEK'), 
(select count(*) from  
CTD.F_APPLY_WEEK f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_APPLY_WEEK') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_APPLY_WEEK f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_APPLY_WEEK') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_TABLE
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_TABLE_WEEK', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_TABLE_WEEK'), 
(select count(*) from  
CTD.F_TABLE_WEEK f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_TABLE_WEEK') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_TABLE_WEEK f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_TABLE_WEEK') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_APPL
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_APPL_WEEK', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_APPL_WEEK'), 
(select count(*) from  
CTD.F_APPL_WEEK f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_APPL_WEEK') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_APPL_WEEK f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_APPL_WEEK') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_TBSP
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_TBSP_ND_WEEK', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_TBSP_ND_WEEK'), 
(select count(*) from  
CTD.F_TBSP_ND_WEEK f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_TBSP_ND_WEEK') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_TBSP_ND_WEEK f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_TBSP_ND_WEEK') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_TABLE_APPLY
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_TAPPLY_WEEK', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_TAPPLY_WEEK'), 
(select count(*) from  
CTD.F_TAPPLY_WEEK f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_TAPPLY_WEEK') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_TAPPLY_WEEK f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_TAPPLY_WEEK') 
) 
< 
date(current timestamp - current timezone) 
; 

-------------------
-- MONTH Tables
-------------------
--------------------------------
-- CTD_INSTANCE
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_INST_MONTH', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_INST_MONTH'), 
(select count(*) from  
CTD.F_INST_MONTH f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_INST_MONTH') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_INST_MONTH f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_INST_MONTH') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_DATABASE
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_DB_MONTH', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_DB_MONTH'), 
(select count(*) from  
CTD.F_DB_MONTH f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_DB_MONTH') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_DB_MONTH f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_DB_MONTH') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_GATEWAY
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_GTWY_MONTH', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_GTWY_MONTH'), 
(select count(*) from  
CTD.F_GTWY_MONTH f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_GTWY_MONTH') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_GTWY_MONTH f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_GTWY_MONTH') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_NODE
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_NODE_MONTH', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_NODE_MONTH'), 
(select count(*) from  
CTD.F_NODE_MONTH f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_NODE_MONTH') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_NODE_MONTH f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_NODE_MONTH') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_APPLY_ID
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_APPLY_MONTH', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_APPLY_MONTH'), 
(select count(*) from  
CTD.F_APPLY_MONTH f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_APPLY_MONTH') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_APPLY_MONTH f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_APPLY_MONTH') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_TABLE
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_TABLE_MONTH', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_TABLE_MONTH'), 
(select count(*) from  
CTD.F_TABLE_MONTH f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_TABLE_MONTH') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_TABLE_MONTH f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_TABLE_MONTH') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_APPL
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_APPL_MONTH', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_APPL_MONTH'), 
(select count(*) from  
CTD.F_APPL_MONTH f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_APPL_MONTH') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_APPL_MONTH f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_APPL_MONTH') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_TBSP
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_TBSP_ND_MONTH', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_TBSP_ND_MONTH'), 
(select count(*) from  
CTD.F_TBSP_ND_MONTH f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_TBSP_ND_MONTH') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_TBSP_ND_MONTH f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_TBSP_ND_MONTH') 
) 
< 
date(current timestamp - current timezone) 
; 

--------------------------------
-- CTD_TABLE_APPLY
--------------------------------

-- prune extract 
-- delete data from fact tables that is older 
-- than a particular point in time 

-- log the fact that the fact table was pruned 

--#EXECUTE_AT_TARGET 
insert into 
CTD.prune_mart_log 
values 
(current timestamp - current timezone, 
'CTD.F_TAPPLY_MONTH', 
(select pmartc_duration  
from CTD.prune_mart_control 
where table_name = 
'CTD.F_TAPPLY_MONTH'), 
(select count(*) from  
CTD.F_TAPPLY_MONTH f 
where  
(date(meas_date +  
   (select pmartc_duration from CTD.prune_mart_control p where p.table_name = 'CTD.F_TAPPLY_MONTH') 
     )) 
< date(current timestamp - current timezone) 
) 
); 

-- actually do the pruning of the fact table 
-- now that we logged what we are going to delete 

--#EXECUTE_AT_TARGET 
delete from CTD.F_TAPPLY_MONTH f 
where 
date(meas_date  + 
  (select pmartc_duration from CTD.prune_mart_control p where p.table_name= 'CTD.F_TAPPLY_MONTH') 
) 
< 
date(current timestamp - current timezone) 
; 

