-- ##########################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  Product ID = 5724-B96
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- # File Information: src/tedw_apps_etl/FixPack/ctd/mart/ddl/ctd_mart_drop_schema.sql, dbmx_db2_tedw, dbmx_db2_510FP5
-- # Revision: 1.1
-- # Date: 2/13/04 10:21:14
-- ############################################################################

--#iftag fixpack_1


DROP TABLE CTD.STG_F_APPLY_HOUR;
DROP TABLE CTD.STG_F_APPL_HOUR;
DROP TABLE CTD.STG_F_DB_HOUR;
DROP TABLE CTD.STG_F_GTWY_HOUR;
DROP TABLE CTD.STG_F_INST_HOUR;
DROP TABLE CTD.STG_F_NODE_HOUR;
DROP TABLE CTD.STG_F_TABLE_HOUR;
DROP TABLE CTD.STG_F_TAPPLY_HOUR;
DROP TABLE CTD.STG_F_TBSP_HOUR;


DELETE FROM AMX.ROLLUP_TABLES where MSRC_CD='CTD';

RENAME TABLE CTD.F_TX_ND_DAY     TO XF_TX_ND_DAY       ;
RENAME TABLE CTD.F_TX_ND_HOUR    TO XF_TX_ND_HOUR      ;
RENAME TABLE CTD.F_TX_ND_MONTH   TO XF_TX_ND_MONTH     ;
RENAME TABLE CTD.F_TX_ND_WEEK    TO XF_TX_ND_WEEK      ;
RENAME TABLE CTD.D_APPL          TO XD_APPL            ;
RENAME TABLE CTD.D_APPLY         TO XD_APPLY           ;
RENAME TABLE CTD.D_APPLY_METRIC  TO XD_APPLY_METRIC    ;
RENAME TABLE CTD.D_APPL_METRIC   TO XD_APPL_METRIC     ;
RENAME TABLE CTD.D_DB            TO XD_DB              ;
RENAME TABLE CTD.D_DB_METRIC     TO XD_DB_METRIC       ;
RENAME TABLE CTD.D_GTWY          TO XD_GTWY            ;
RENAME TABLE CTD.D_GTWY_METRIC   TO XD_GTWY_METRIC     ;
RENAME TABLE CTD.D_HOST          TO XD_HOST            ;
RENAME TABLE CTD.D_INST          TO XD_INST            ;
RENAME TABLE CTD.D_INST_METRIC   TO XD_INST_METRIC     ;
RENAME TABLE CTD.D_NODE          TO XD_NODE            ;
RENAME TABLE CTD.D_NODE_METRIC   TO XD_NODE_METRIC     ;
RENAME TABLE CTD.D_TABLE         TO XD_TABLE           ;
RENAME TABLE CTD.D_TABLE_METRIC  TO XD_TABLE_METRIC    ;
RENAME TABLE CTD.D_TAPPLY        TO XD_TAPPLY          ;
RENAME TABLE CTD.D_TAPPLY_METRIC TO XD_TAPPLY_METRIC   ;
RENAME TABLE CTD.D_TBSP          TO XD_TBSP            ;
RENAME TABLE CTD.D_TBSP_METRIC   TO XD_TBSP_METRIC     ;
RENAME TABLE CTD.F_APPLY_DAY     TO XF_APPLY_DAY       ;
RENAME TABLE CTD.F_APPLY_HOUR    TO XF_APPLY_HOUR      ;
RENAME TABLE CTD.F_APPLY_MONTH   TO XF_APPLY_MONTH     ;
RENAME TABLE CTD.F_APPLY_WEEK    TO XF_APPLY_WEEK      ;
RENAME TABLE CTD.F_APPL_DAY      TO XF_APPL_DAY        ;
RENAME TABLE CTD.F_APPL_HOUR     TO XF_APPL_HOUR       ;
RENAME TABLE CTD.F_APPL_MONTH    TO XF_APPL_MONTH      ;
RENAME TABLE CTD.F_APPL_WEEK     TO XF_APPL_WEEK       ;
RENAME TABLE CTD.F_DB_DAY        TO XF_DB_DAY          ;
RENAME TABLE CTD.F_DB_HOUR       TO XF_DB_HOUR         ;
RENAME TABLE CTD.F_DB_MONTH      TO XF_DB_MONTH        ;
RENAME TABLE CTD.F_DB_WEEK       TO XF_DB_WEEK         ;
RENAME TABLE CTD.F_GTWY_DAY      TO XF_GTWY_DAY        ;
RENAME TABLE CTD.F_GTWY_HOUR     TO XF_GTWY_HOUR       ;
RENAME TABLE CTD.F_GTWY_MONTH    TO XF_GTWY_MONTH      ;
RENAME TABLE CTD.F_GTWY_WEEK     TO XF_GTWY_WEEK       ;
RENAME TABLE CTD.F_INST_DAY      TO XF_INST_DAY        ;
RENAME TABLE CTD.F_INST_HOUR     TO XF_INST_HOUR       ;
RENAME TABLE CTD.F_INST_MONTH    TO XF_INST_MONTH      ;
RENAME TABLE CTD.F_INST_WEEK     TO XF_INST_WEEK       ;
RENAME TABLE CTD.F_NODE_DAY      TO XF_NODE_DAY        ;
RENAME TABLE CTD.F_NODE_HOUR     TO XF_NODE_HOUR       ;
RENAME TABLE CTD.F_NODE_MONTH    TO XF_NODE_MONTH      ;
RENAME TABLE CTD.F_NODE_WEEK     TO XF_NODE_WEEK       ;
RENAME TABLE CTD.F_TABLE_DAY     TO XF_TABLE_DAY       ;
RENAME TABLE CTD.F_TABLE_HOUR    TO XF_TABLE_HOUR      ;
RENAME TABLE CTD.F_TABLE_MONTH   TO XF_TABLE_MONTH     ;
RENAME TABLE CTD.F_TABLE_WEEK    TO XF_TABLE_WEEK      ;
RENAME TABLE CTD.F_TAPPLY_DAY    TO XF_TAPPLY_DAY      ;
RENAME TABLE CTD.F_TAPPLY_HOUR   TO XF_TAPPLY_HOUR     ;
RENAME TABLE CTD.F_TAPPLY_MONTH  TO XF_TAPPLY_MONTH    ;
RENAME TABLE CTD.F_TAPPLY_WEEK   TO XF_TAPPLY_WEEK     ;
RENAME TABLE CTD.F_TBSP_DAY      TO XF_TBSP_DAY        ;
RENAME TABLE CTD.F_TBSP_HOUR     TO XF_TBSP_HOUR       ;
RENAME TABLE CTD.F_TBSP_MONTH    TO XF_TBSP_MONTH      ;
RENAME TABLE CTD.F_TBSP_WEEK     TO XF_TBSP_WEEK       ;


------------------
--  Prune
------------------

drop table CTD.Prune_Mart_Control;
drop table CTD.Prune_Mart_Log;

------------------
--- Host 
------------------

drop table CTD.D_HOST;
drop table CTD.T_HOST;
drop trigger CTD.host_i1;
drop sequence CTD.host_id_seq restrict;

-----------------------------
-- dimension table:Host_Ip_Ad
-----------------------------

drop table CTD.D_Host_Ip_Ad ;

--trigger

drop trigger CTD.Host_Ip_Ad_i1 ;

--sequence      

drop sequence CTD.Host_Ip_Ad_ID_seq restrict;



--------------------
---  INST 
--------------------

---------------------------------
-- dimension table: INST metric 
---------------------------------

drop table CTD.D_INST_METRIC ;

-- translation table

drop table CTD.T_INST_METRIC ;

--trigger

drop trigger CTD.INSTmt_i1;

--sequence      

drop sequence CTD.INSTmt_id_seq restrict;

-----------------------------
-- dimension table: INST 
-----------------------------

drop table CTD.D_INST ;

-- translation table

drop table CTD.T_INST ;

--trigger

drop trigger CTD.INST_i1 ;

--sequence      

drop sequence CTD.INST_id_seq restrict ;



-----------------------------
-- staging hour fact table
------------------------------

drop table CTD.STG_INST_HR ;

----------------------------
-- hourly fact table: INST 
-----------------------------

drop table CTD.F_INST_HOUR ;

-----------------------------
-- daily fact table: INST 
-----------------------------

drop table CTD.F_INST_DAY ;

-----------------------------
-- weekly fact table: INST 
-----------------------------

drop table CTD.F_INST_WEEK ;

-----------------------------
-- monthly fact table: INST 
-----------------------------

drop table CTD.F_INST_MONTH ;

-----------------------------
-- dimension table:Inst_Vers 
-----------------------------

drop table CTD.D_Inst_Vers ;

--trigger

drop trigger CTD.Inst_Vers_i1 ;

--sequence      

drop sequence CTD.Inst_Vers_ID_seq restrict;


--------------------
---  DB 
--------------------

---------------------------------
-- dimension table: DB metric 
---------------------------------

drop table CTD.D_DB_METRIC ;

-- translation table

drop table CTD.T_DB_METRIC ;

--trigger

drop trigger CTD.DBmt_i1;

--sequence      

drop sequence CTD.DBmt_id_seq restrict;

-----------------------------
-- dimension table: DB 
-----------------------------

drop table CTD.D_DB ;

-- translation table

drop table CTD.T_DB ;

--trigger

drop trigger CTD.DB_i1 ;

--sequence      

drop sequence CTD.DB_id_seq restrict ;



-----------------------------
-- staging hour fact table
------------------------------

drop table CTD.STG_DB_HR ;

----------------------------
-- hourly fact table: DB 
-----------------------------

drop table CTD.F_DB_HOUR ;

-----------------------------
-- daily fact table: DB 
-----------------------------

drop table CTD.F_DB_DAY ;

-----------------------------
-- weekly fact table: DB 
-----------------------------

drop table CTD.F_DB_WEEK ;

-----------------------------
-- monthly fact table: DB 
-----------------------------

drop table CTD.F_DB_MONTH ;

--------------------
---  GTWY 
--------------------

---------------------------------
-- dimension table: GTWY metric 
---------------------------------

drop table CTD.D_GTWY_METRIC ;

-- translation table

drop table CTD.T_GTWY_METRIC ;

--trigger

drop trigger CTD.GTWYmt_i1;

--sequence      

drop sequence CTD.GTWYmt_id_seq restrict;

-----------------------------
-- dimension table: GTWY 
-----------------------------

drop table CTD.D_GTWY ;

-- translation table

drop table CTD.T_GTWY ;

--trigger

drop trigger CTD.GTWY_i1 ;

--sequence      

drop sequence CTD.GTWY_id_seq restrict ;



-----------------------------
-- staging hour fact table
------------------------------

drop table CTD.STG_GTWY_HR ;

----------------------------
-- hourly fact table: GTWY 
-----------------------------

drop table CTD.F_GTWY_HOUR ;

-----------------------------
-- daily fact table: GTWY 
-----------------------------

drop table CTD.F_GTWY_DAY ;

-----------------------------
-- weekly fact table: GTWY 
-----------------------------

drop table CTD.F_GTWY_WEEK ;

-----------------------------
-- monthly fact table: GTWY 
-----------------------------

drop table CTD.F_GTWY_MONTH ;

--------------------
---  NODE 
--------------------

---------------------------------
-- dimension table: NODE metric 
---------------------------------

drop table CTD.D_NODE_METRIC ;

-- translation table

drop table CTD.T_NODE_METRIC ;

--trigger

drop trigger CTD.NODEmt_i1;

--sequence      

drop sequence CTD.NODEmt_id_seq restrict;

-----------------------------
-- dimension table: NODE 
-----------------------------

drop table CTD.D_NODE ;

-- translation table

drop table CTD.T_NODE ;

--trigger

drop trigger CTD.NODE_i1 ;

--sequence      

drop sequence CTD.NODE_id_seq restrict ;



-----------------------------
-- staging hour fact table
------------------------------

drop table CTD.STG_NODE_HR ;

----------------------------
-- hourly fact table: NODE 
-----------------------------

drop table CTD.F_NODE_HOUR ;

-----------------------------
-- daily fact table: NODE 
-----------------------------

drop table CTD.F_NODE_DAY ;

-----------------------------
-- weekly fact table: NODE 
-----------------------------

drop table CTD.F_NODE_WEEK ;

-----------------------------
-- monthly fact table: NODE 
-----------------------------

drop table CTD.F_NODE_MONTH ;

-----------------------------
-- dimension table:Nd_LGPTH 
-----------------------------

drop table CTD.D_Nd_LGPTH ;

--trigger

drop trigger CTD.Nd_LGPTH_i1 ;

--sequence      

drop sequence CTD.Nd_LGPTH_ID_seq restrict;


--------------------
---  APPLY 
--------------------

---------------------------------
-- dimension table: APPLY metric 
---------------------------------

drop table CTD.D_APPLY_METRIC ;

-- translation table

drop table CTD.T_APPLY_METRIC ;

--trigger

drop trigger CTD.APLYmt_i1;

--sequence      

drop sequence CTD.APLYmt_id_seq restrict;

-----------------------------
-- dimension table: APPLY 
-----------------------------

drop table CTD.D_APPLY ;

-- translation table

drop table CTD.T_APPLY ;

--trigger

drop trigger CTD.APLY_i1 ;

--sequence      

drop sequence CTD.APLY_id_seq restrict ;



-----------------------------
-- staging hour fact table
------------------------------

drop table CTD.STG_APPLY_HR ;

----------------------------
-- hourly fact table: APPLY 
-----------------------------

drop table CTD.F_APPLY_HOUR ;

-----------------------------
-- daily fact table: APPLY 
-----------------------------

drop table CTD.F_APPLY_DAY ;

-----------------------------
-- weekly fact table: APPLY 
-----------------------------

drop table CTD.F_APPLY_WEEK ;

-----------------------------
-- monthly fact table: APPLY 
-----------------------------

drop table CTD.F_APPLY_MONTH ;

--------------------
---  TABLE 
--------------------

---------------------------------
-- dimension table: TABLE metric 
---------------------------------

drop table CTD.D_TABLE_METRIC ;

-- translation table

drop table CTD.T_TABLE_METRIC ;

--trigger

drop trigger CTD.TABLmt_i1;

--sequence      

drop sequence CTD.TABLmt_id_seq restrict;

-----------------------------
-- dimension table: TABLE 
-----------------------------

drop table CTD.D_TABLE ;

-- translation table

drop table CTD.T_TABLE ;

--trigger

drop trigger CTD.TABL_i1 ;

--sequence      

drop sequence CTD.TABL_id_seq restrict ;



-----------------------------
-- staging hour fact table
------------------------------

drop table CTD.STG_TABLE_HR ;

----------------------------
-- hourly fact table: TABLE 
-----------------------------

drop table CTD.F_TABLE_HOUR ;

-----------------------------
-- daily fact table: TABLE 
-----------------------------

drop table CTD.F_TABLE_DAY ;

-----------------------------
-- weekly fact table: TABLE 
-----------------------------

drop table CTD.F_TABLE_WEEK ;

-----------------------------
-- monthly fact table: TABLE 
-----------------------------

drop table CTD.F_TABLE_MONTH ;

--------------------
---  APPL 
--------------------

---------------------------------
-- dimension table: APPL metric 
---------------------------------

drop table CTD.D_APPL_METRIC ;

-- translation table

drop table CTD.T_APPL_METRIC ;

--trigger

drop trigger CTD.APPLmt_i1;

--sequence      

drop sequence CTD.APPLmt_id_seq restrict;

-----------------------------
-- dimension table: APPL 
-----------------------------

drop table CTD.D_APPL ;

-- translation table

drop table CTD.T_APPL ;

--trigger

drop trigger CTD.APPL_i1 ;

--sequence      

drop sequence CTD.APPL_id_seq restrict ;



-----------------------------
-- staging hour fact table
------------------------------

drop table CTD.STG_APPL_HR ;

----------------------------
-- hourly fact table: APPL 
-----------------------------

drop table CTD.F_APPL_HOUR ;

-----------------------------
-- daily fact table: APPL 
-----------------------------

drop table CTD.F_APPL_DAY ;

-----------------------------
-- weekly fact table: APPL 
-----------------------------

drop table CTD.F_APPL_WEEK ;

-----------------------------
-- monthly fact table: APPL 
-----------------------------

drop table CTD.F_APPL_MONTH ;

--------------------
---  TBSP 
--------------------

---------------------------------
-- dimension table: TBSP_ND metric 
---------------------------------

drop table CTD.D_TBSP_ND_METRIC ;

-- translation table

drop table CTD.T_TBSP_ND_METRIC ;

--trigger

drop trigger CTD.TBSNmt_i1;

--sequence      

drop sequence CTD.TBSNmt_id_seq restrict;

-----------------------------
-- dimension table: TBSP_ND 
-----------------------------

drop table CTD.D_TBSP_ND ;

-- translation table

drop table CTD.T_TBSP_ND ;

--trigger

drop trigger CTD.TBSN_i1 ;

--sequence      

drop sequence CTD.TBSN_id_seq restrict ;



-----------------------------
-- staging hour fact table
------------------------------

drop table CTD.STG_TBSP_ND_HR ;

----------------------------
-- hourly fact table: TBSP_ND 
-----------------------------

drop table CTD.F_TBSP_ND_HOUR ;

-----------------------------
-- daily fact table: TBSP_ND 
-----------------------------

drop table CTD.F_TBSP_ND_DAY ;

-----------------------------
-- weekly fact table: TBSP_ND 
-----------------------------

drop table CTD.F_TBSP_ND_WEEK ;

-----------------------------
-- monthly fact table: TBSP_ND 
-----------------------------

drop table CTD.F_TBSP_ND_MONTH ;


--------------------
---  TAPPLY 
--------------------

---------------------------------
-- dimension table: TAPPLY metric 
---------------------------------

drop table CTD.D_TAPPLY_METRIC ;

-- translation table

drop table CTD.T_TAPPLY_METRIC ;

--trigger

drop trigger CTD.TBAPmt_i1;

--sequence      

drop sequence CTD.TBAPmt_id_seq restrict;

-----------------------------
-- dimension table: TAPPLY 
-----------------------------

drop table CTD.D_TAPPLY ;

-- translation table

drop table CTD.T_TAPPLY ;

--trigger

drop trigger CTD.TBAP_i1 ;

--sequence      

drop sequence CTD.TBAP_id_seq restrict ;



-----------------------------
-- staging hour fact table
------------------------------

drop table CTD.STG_TAPPLY_HR ;

----------------------------
-- hourly fact table: TAPPLY 
-----------------------------

drop table CTD.F_TAPPLY_HOUR ;

-----------------------------
-- daily fact table: TAPPLY 
-----------------------------

drop table CTD.F_TAPPLY_DAY ;

-----------------------------
-- weekly fact table: TAPPLY 
-----------------------------

drop table CTD.F_TAPPLY_WEEK ;

-----------------------------
-- monthly fact table: TAPPLY 
-----------------------------

drop table CTD.F_TAPPLY_MONTH ;

--#endtag fixpack_1
