############################################################################
#
#  Licensed Materials - Property of IBM
#  5724-C01
#
#  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with
#  IBM Corp.
#
#   File Information: src/TEDW/wep_fixpack.1.1.0.4/ctd/misc/tools/CTD_m05_ETL2_Process.sh, dbmx_db2_tedw, dbmx_db2_5.1.2
#   Revision: 1.2
#   Date: 5/1/03 17:43:09
############################################################################

#
# This script allows you to run the CTD_m05_ETL2_Process 
# of the product Tivoli Monitoring for Databases: Oracle v1.1.0 
# by command line

# Interpreter Required:
#       NT/2000 = BASH
#       Unix    = SH (Bourne Shell)

# Install Steps Required Before this Script Executes:
#       1 - IBM Tivoli Monitoring v5.1.1 must be install
#       2 - AMX_c05_ETL1_Process must have been executed against the ITM RIM database
#           containing the oracle data 

# To do:
#       UserID and Passwords or the required databases 

# Examples
#CDW_DB=twh_cdw
#CDW_USER=db2admin
#CDW_PW=db2admin

#MART_DB=twh_mart
#MART_USER=db2admin
#MART_PW=db2admin

#MD_DB=twh_md
#MD_USER=db2admin
#MD_PW=db2admin

#set -x



#Mart Reset step
echo "Starting Reset_Data_Mart step ..."
#bash sqlscript.sh CTD CTD_m10_s010_reset_data_mart $CDW_DB $CDW_USER $CDW_PW $MART_DB $MART_USER $MART_PW
result="$?"
if [ $result -ne "0" ] ; then
 echo "error in the Reset_Data_Mart step"
 exit "$result"
fi
echo "Reset_Data_Mart step finished"
echo ""

#CDW Update step
echo "Starting CDW Update step ..."
bash sqlscript.sh CTD CTD_m05_s002_update $MART_DB $MART_USER $MART_PW $CDW_DB $CDW_USER $CDW_PW 
result="$?"
if [ $result -ne "0" ] ; then
 echo "error in the CDW Update step"
 exit "$result"
fi
echo "CDW Update step finished"
echo ""

#Prepare_Stage step
echo "Starting Prepare_Stage step ..."
bash sqlscript.sh CTD CTD_m05_s005_prepare_stage $CDW_DB $CDW_USER $CDW_PW 
result="$?"
if [ $result -ne "0" ] ; then
 echo "error in the Prepare_Stage step"
 exit "$result"
fi
echo "Prepare_Stage step finished"
echo ""

#Pre_Extract step
echo "Starting Mart_Pre_Extract step ..."
bash sqlscript.sh CTD CTD_m05_s010_mart_pre_extract $CDW_DB $CDW_USER $CDW_PW $MART_DB $MART_USER $MART_PW
result="$?"
if [ $result -ne "0" ] ; then
 echo "error in the Mart_Pre_Extract step"
 exit "$result"
fi
echo "Mart_Pre_Extract step finished"
echo ""



#Mart_Extract step
echo "Starting Mart_Extract step ..."
bash sqlscript.sh CTD CTD_m05_s020_Mart_Extract $CDW_DB $CDW_USER $CDW_PW $MART_DB $MART_USER $MART_PW
result="$?"
if [ $result -ne "0" ] ; then
 echo "error in the Mart_Extract step"
 exit "$result"
fi
echo "Mart_Extract step finished"
echo ""

#Mart_Load step
echo "Starting Mart_Load  step ..."
bash sqlscript.sh CTD CTD_m05_s030_Mart_Load $MART_DB $MART_USER $MART_PW $MART_DB $MART_USER $MART_PW
result="$?"
if [ $result -ne "0" ] ; then
 echo "error in the Mart_Load step"
 exit "$result"
fi
echo "Mart_Load step finished"
echo ""

#Rollup step
echo "Starting Rollup step ..."
bash amx_rollup.sh CTD CTD_m05_s040_Rollup $MART_DB $MART_USER $MART_PW $MD_DB $MD_USER $MD_PW
result="$?"
if [ $result -ne "0" ] ; then
 echo "error in the Rollup step"
 exit "$result"
fi
echo "Rollup step finished"
echo ""

#Mart_Prune step
echo "Starting Mart_Prune step ..."
bash sqlscript.sh CTD CTD_m05_s050_Mart_Prune $MART_DB $MART_USER $MART_PW
result="$?"
if [ $result -ne "0" ] ; then
 echo "error in the Mart_Prune step"
 exit "$result"
fi
echo "Mart_Prune step finished"
echo ""

#Shedule step
echo "Starting Shedule step ..."
bash runReport.sh $MART_DB $MART_USER $MART_PW $MD_DB $MD_USER $MD_PW
result="$?"
if [ $result -ne "0" ] ; then
 echo "error in the Shedule step"
 echo "$result"
 exit
fi
echo "Shedule step finished"
echo ""
